commit a71be9756c6ed7391d8410815e66f2575f8f4c3d
Author: Sergio Orbe <reyiyo@gmail.com>
Date:   Mon Feb 10 02:03:13 2014 -0300

    fix test errors

commit 78b3e80707e700cc91254aba549bfc736e1fe7e5
Author: Sergio Orbe <reyiyo@gmail.com>
Date:   Sun Feb 9 18:32:35 2014 -0300

    Unit tests added for default js compressor

commit 522b51fd63c204db5d0f0e7f67360ea4a4acf4b3
Author: Sergio Orbe <reyiyo@gmail.com>
Date:   Sun Feb 9 03:34:22 2014 -0300

    Change the version of jsmin.py in favour of a free (as in freedom) one, and the way it is loaded to see if the module is already installed

commit b3d2fbd40d667f537b868db7379deb8e61575411
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Wed Dec 18 13:01:12 2013 -0500

    keepin it under 80 chars

commit 2afe4c59107580a8cccd6f2b7f159a319a4b0c9b
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Wed Dec 18 12:59:08 2013 -0500

    killing off unused imports

commit ab06d9e2fc44856a540fd075befc0f6e43a16d57
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Wed Dec 18 12:05:54 2013 -0500

    killing off unused vars

commit 005affda5cb9014a6877cc70e4a7f4dbb7cf1b27
Merge: 8833b28 ad61322
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Tue Dec 17 13:13:45 2013 -0800

    Merge pull request #134 from Ivoz/patch-1
    
    Update README's bootstrapping advice

commit ad61322e2e526e2f1e41ebec6a7b53f374279df3
Author: Matt Iversen <teh.ivo@gmail.com>
Date:   Wed Dec 18 05:06:31 2013 +1100

    Update README's bootstrapping advice
    
    distribute is now deprecated, and its functionality merged into the setuptools project. I updated the readme's advice to reflect this, and the recommended way of getting pip as well (using https urls, which `easy_install` won't use).

commit 8833b2848ddfe1c61f223a92239aa1a2fb36f73a
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 16:43:16 2013 -0500

    Revert "more aggressive flake8-based cleanup"
    
    This reverts commit 84c41ed229a2758a7a008968cc3312153113cc89.
    
    Moving flake8 testing stuff to a branch for now.
    
    It is strangely not passing (with minimal error
    info) on Travis--though all local tests pass just
    fine.
    
    Classic.

commit 84c41ed229a2758a7a008968cc3312153113cc89
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 16:08:49 2013 -0500

    more aggressive flake8-based cleanup
    
    Mostly style, but a few dropped unused vars
    and imports.

commit d82ed94689392d1edc8f5a996f510bfe9ab8f489
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 14:54:20 2013 -0500

    added nose-testconfig to .travis.yml
    
    Someday we will fix all the requires things...

commit 5d8f3c67066ed0a213038d5e44c31091facf2840
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 14:44:17 2013 -0500

    added unittest2 to .travis.yml

commit d492134ef1484552479642d767d325d9bfdebdd6
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 14:35:48 2013 -0500

    let travis test more than master
    
    So we do not merge just to see if it
    passes tests...and can test PRs, etc.

commit f3dc4a7ebc01fcc61a4082c1a6fed2072db774c3
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 14:32:31 2013 -0500

    added url to tests that were missing it
    
    So they can all now be run against the host.url
    config option--which means tests no longer
    *have* to be run Admin Party mode and can be
    used with any host or port.

commit 9712fd7dfcf2a900e08d0b15970cab65ead1f3db
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 13:50:49 2013 -0500

    added nose-testconfig to setup endpoint
    
    You can now pass in auth params and/or test
    with [cloudant.com](http://cloudant.com/),
    [PouchDB-Server](https://github.com/nick-thompson/pouchdb-server),
    or other [Apache CouchDB](http://couchdb.apache.org/)
    API compatible things.

commit db38e6d8a3ecead8acef977a33025824561b766a
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 13:23:35 2013 -0500

    deduplicating ddoc check & retrieve code in tests

commit 912d14987dc2bd221c4c77ca9334d5a7d6c7a92d
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 12:04:23 2013 -0500

    removed duplicate _make_testapp definition

commit 16f020418896fa52e0df42ecbdef781679429b13
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 12:01:30 2013 -0500

    made testClone match the other for ddoc check

commit 40bf782b8b9862306d11223b09192d240b0cd4bf
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 11:42:59 2013 -0500

    switching to unittest2 & newer assert functions

commit be22b4b7eacfe7569249b89963522221017dcb2a
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 11:15:31 2013 -0500

    pep8 tests

commit 11773d52cae8a268ab303a35c73873d4b4caf5ca
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 10:47:37 2013 -0500

    it is --cover-package=PACKAGE if anyone asks

commit 25f50106745a2781a075671f88cb4b910613f666
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 10:24:41 2013 -0500

    tests_require in setup.py; nose+coverage on traves
    
    Corresponding .gitignore tweaks.

commit ccf7d9062b7d440c03c779d570d2fbcb9993d975
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 09:55:41 2013 -0500

    added coveralls.io badge

commit 8756ba7a5f35b074d5a46df852280d0d41ffc039
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Dec 16 09:52:05 2013 -0500

    first pep8 run
    
    Some long line lengths still exist, but I want
    to avoid too heavily refactoring/moving bits
    around for accomodating those just yet.
    
    Once we have better test coverage, I will get
    it all < 80 char line lengths.

commit 7c07ef36a038be335d2d51634937bec0bb6fcb88
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Fri Dec 13 13:43:19 2013 -0500

    added Python 2.6 to Travis testing

commit c2eb6254227657dffd878f4d532f338bede3bc55
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Fri Dec 13 13:14:09 2013 -0500

    removed print in localdoc.py; fixes #116

commit 1b7dabe2345d9676ab2a5987df6865146ee4af7b
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Thu Dec 12 16:59:44 2013 -0500

    fixed `.` prefixed directory ignoring in pushdocs
    
    Fixes #119
    
    Included sample docs for testing pushdocs.
    No tests written yet, though...

commit a7832574ed7da7a4438d8c1f1e4c2c2fb2e5063a
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Thu Nov 14 13:41:57 2013 -0800

    fixed RST format of README

commit 76991cbec88066bf8cb97cf8b50f3efc2410e80b
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Thu Nov 14 13:39:37 2013 -0800

    added travis badge

commit dbeee57f08a43e268a71909ae65f2df8abb53ab8
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Thu Nov 14 13:31:18 2013 -0800

    added python setup.py install to travis

commit 27de4a99617fc1ee73816f8a9d4fad4e4235c3f9
Merge: 9b328db 86b8182
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Wed Nov 13 23:04:45 2013 -0800

    Merge pull request #131 from cloudant-labs/tests
    
    tests and travis

commit 86b81823a4f1f2b8413f82736b6c81f0cb0558b0
Author: Max Thayer <garbados@gmail.com>
Date:   Mon Nov 11 16:16:20 2013 -0500

    travis :D

commit 9b328db5c4779327fc5f52d8183928a670e668c9
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Nov 11 14:24:04 2013 -0500

    fixed link to RST format
    
    Apparently I use a lot of Markdown...

commit c849c7cc1c0bb04dac474bd7bc7514bb501b847d
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Nov 11 14:23:21 2013 -0500

    added link to erica

commit b918812a29a1734771331a2f970c87f54f424eab
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Mon Nov 11 14:20:51 2013 -0500

    removed deprecation line
    
    cawz we are back, jack!

commit 5310593beed6cec9187f24b6fec1118c3cdd9d6b
Merge: 447aa0c bc7672b
Author: BigBlueHat <byoung@bigbluehat.com>
Date:   Sat Nov 9 11:36:23 2013 -0800

    Merge pull request #120 from crodjer/master
    
    Allow overriding of login templates

commit bc7672b5ed5405e20aef3c58c4b40e37993dbf58
Author: Rohan Jain <crodjer@gmail.com>
Date:   Thu Mar 8 09:21:35 2012 +0530

    Allow overriding of login templates
    
    In the couchLogin jquery plugin, the templates must be allowed to be
    overridden in applications, as done in the profile plugin.
    
    Signed-off-by: Rohan Jain <crodjer@gmail.com>

commit 447aa0ce2d41b47f454fdfbefc1973a392603046
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 26 18:26:30 2012 +0100

    make it more obvious

commit f47eff2f6191ab879fb872801a1b92fc7dd4b575
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 26 18:24:28 2012 +0100

    deprecate couchapp

commit b9b3f6eab0baf8d0a2b385c400167e658d26ecc7
Merge: 275f46e b2319ce
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Apr 28 09:54:02 2012 -0700

    Merge pull request #122 from BigBlueHat/patch-1
    
    s/medata/metadata

commit 275f46e1b946cc13f50366d2b4cb333fe5bb234e
Merge: dcc0d13 27e8aa4
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Apr 28 09:53:42 2012 -0700

    Merge pull request #123 from BigBlueHat/patch-2
    
    fixed vendor URL

commit 27e8aa4f9b46b853fbd181cd7173a6c9ecfcaeec
Author: BigBlueHat - Web Manufacturer <info@bigbluehat.com>
Date:   Sat Apr 28 13:20:31 2012 -0300

    fixed vendor URL

commit b2319ce6dde983d6bb3f099c0b8ff2516884193a
Author: BigBlueHat - Web Manufacturer <info@bigbluehat.com>
Date:   Sat Apr 28 13:16:58 2012 -0300

    s/medata/metadata

commit dcc0d132971b2e90c8966821bb9ed2465d4db1db
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Nov 22 22:55:31 2011 +0100

    bump to 1.0.1 , remove .DS_Store

commit 5bbd8d0f0a5654ed4b85c93cf04b7b176d135de5
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Nov 8 20:48:01 2011 +0100

    fix windows build

commit 6c6bb8baeade053dd2fac3a2b12d9df6b4dc9870
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Nov 8 19:59:38 2011 +0100

    fix windows version. add packages to py2exe

commit 0d931e9e63edeeb45d886a51bdcf1d9049731636
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Nov 8 00:40:23 2011 +0100

    close issue #6

commit 5890a744179abed426fb0b9ad930919e179dcee1
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Nov 8 00:31:58 2011 +0100

    include packages data

commit 1160bab0892aa34018685d8aa733f0c3aa503e53
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 7 23:58:35 2011 +0100

    fix example

commit a3a4740ca0b96ccbd3ef8044bd9a11b8fa3adb1d
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 7 23:56:12 2011 +0100

    fix generate_app

commit cc2945c756b01fe95e38cea85289b4464a4444b1
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 7 23:50:30 2011 +0100

    add missing files

commit 46a5f31e229983a449f8798a8d65b834871253e1
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 7 23:49:19 2011 +0100

    new example app. bye bye evently

commit be536d36cafef237974798e3f2afbd9e07030fec
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 7 23:26:18 2011 +0100

    remove simplejson

commit 21830a4755f7ccbbcd675f73cb8582e86c75d05f
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Nov 7 23:23:49 2011 +0100

    simplify the code. Only use dependencies;

commit 87fed373e30974f39a064eb4ab036127e94aedc7
Author: Pau Aliagas <pau@newtral.org>
Date:   Mon Jul 18 19:29:53 2011 +0200

    Add spec file for RPM-based distributions

commit 6eeedbc53df26461ad5f28fd1c729e82e7a84911
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Oct 17 16:56:04 2011 +0200

    set default of self.ignores. close issue #112

commit 2a617325fb2f899cc1275930327aaf0b731a1226
Merge: b0579c9 fdcd7ea
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Oct 17 07:35:00 2011 -0700

    Merge pull request #108 from andrewjw/master
    
    Fixes for using couchapp from behind a proxy

commit fdcd7ea2077e1473e72210fa73d71e3729f4fcc4
Author: Andrew Wilkinson <andrewjwilkinson@gmail.com>
Date:   Mon Sep 26 11:56:20 2011 +0100

    If a http_proxy or https_proxy environment variable exists try to use it to connect to the database.

commit 2dafaf72e5f25b088686114bedeb2d4466483ab0
Author: Andrew Wilkinson <andrewjwilkinson@gmail.com>
Date:   Mon Sep 26 11:54:33 2011 +0100

    Send the correct request url to a proxy, if we're using one.

commit 0cfc0ff677731c15d1eb15073178e4a94db1ea4b
Author: Andrew Wilkinson <andrewjwilkinson@gmail.com>
Date:   Mon Sep 26 11:52:47 2011 +0100

    Use the flag is_ssl to determine if we're using an ssl proxy, not the ssl module (which is always true)

commit b0579c97eb64505775da40368fa6a9b138fe7796
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 9 05:49:45 2011 +0200

    bump debian package to 0.8.1

commit 2fb4e7d7792b25d04274601feabab937c78fc191
Author: unknown <benoitc@.(none)>
Date:   Mon May 9 05:39:54 2011 +0200

    bump windows package

commit 6c45211abbb8ce96daabcf2e8ac0d5695eb63433
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 9 05:28:48 2011 +0200

    don't load vendors backend dynamically for now so they can be embedded
    in couchapp.

commit e9d93ecf1bf819824d90f27f639f3631dca74905
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 9 05:11:43 2011 +0200

    fix vendor loading

commit d2f78f89e4f4795f622279288df4525e2734f7db
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 9 04:56:42 2011 +0200

    fix compress hook

commit 4e1c5f678e84627ec0c5c27e1011bf036bd19cc2
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 9 04:25:31 2011 +0200

    bump -> 0.8.1

commit f844b2015be4d4467a5073fc634ca4ba30c68495
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 23:13:11 2011 +0200

    fix

commit 00bf078993a884db948a7c3d84efea1b8b0fae85
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 18:29:59 2011 +0200

    bump debian package.

commit d53c9c68b09cda237bb3fb0f568f415a78a78f3f
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 18:20:46 2011 +0200

    ignore pyo files

commit 9eaabbfe0891adfa55ec975b95eadcc1e09c2f07
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 18:20:11 2011 +0200

    shouldn't be uploaded.

commit 4975dda89efe591abe6051f55a46ac6e804523e9
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 17:57:38 2011 +0200

    fix readme typo

commit 01dfa03c93d64eddec6dafe623631d7e4a16c72e
Author: unknown <benoitc@.(none)>
Date:   Sun May 8 17:29:41 2011 +0200

    fix import and update installer.

commit 507d33604b8a6c367310806994d573e19e61df1c
Author: unknown <benoitc@.(none)>
Date:   Sun May 8 14:54:37 2011 +0200

    fix data files on windows.

commit 33e6ce8d347fa8fad47e233caa720e2809da2d96
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 14:14:45 2011 +0200

    install data files.

commit 8a907a8289cd23a6406a9d0eff1bbca953fa62d2
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 13:53:06 2011 +0200

    useless list now

commit 901ac7ddb4e5e7da1248787b524aa2ca9bc80b61
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 13:48:47 2011 +0200

    just use a list in default locations

commit 6cbfa0127a93eae462798cf079fcae711f29bbe3
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 13:43:56 2011 +0200

    fix.

commit 829397a187f6cd82191bad5d8f3123f6a12aea67
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 13:33:07 2011 +0200

    refactor autopush to support windows

commit 6d99abc3b1926f8d1c1082cb7ab31693a0dedb47
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 12:14:55 2011 +0200

    windows doesn't support well signals, just use a simple watcher for it.

commit 34ccf8f1e0a89b1337faea3a97f35a44fbb3bae8
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 11:42:34 2011 +0200

    fix setup

commit 2ecab0c1bf50b6d34508b5070f313d214099167d
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 10:59:53 2011 +0200

    fix template_dir

commit 15106cf6773d835114f28e0841a3bea0e48fa713
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 07:31:04 2011 +0200

    add default system locations for templates

commit bc3ced1f424609e7934bc4cc8532353718226c79
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 06:57:24 2011 +0200

    autopush can be in couchapp, allows to skip application's path in command line:
    
    couchapp autopush testdb

commit f482f0c20e871a2b7db9e6e10963b558060ea7d2
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 06:50:11 2011 +0200

    fix script

commit 45325d7bc36097a9c271e613da61f7e663b1149e
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 8 06:32:31 2011 +0200

    fix autopush on python 2.6 finally.

commit 9df3ccb902fd01564c582279bb36902e3b18b73b
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 21:03:00 2011 +0200

    fix typo

commit e8399e3856a64c73d8c4ed8210b0bcfa78e7f535
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 20:48:25 2011 +0200

    refactor

commit e6eb2e5c4a84537c21c35200b0b8fd5fb2ac0b2e
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 18:22:14 2011 +0200

    clean the code

commit 3f24f98791cf047c445ae5bf0ddab87eb0b613db
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 16:52:46 2011 +0200

    support ubuntu lucid LTS. fix issue #93.

commit e4d6177e29d4f05d2bc0d779b8d4e3c449355d30
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 16:14:20 2011 +0200

    some other fixes

commit 5a0c8ce55b83cdc43abf46bb1d82cae2c4bbc33b
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 16:04:00 2011 +0200

    fixes

commit ef6fd8774ba63fa52bbed5391c5265633565617a
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 14:48:51 2011 +0200

    use latest version of selectmodule

commit 99a349224c18fde1a76d56a594ca6386b291a201
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 11:47:04 2011 +0200

    no need for setuptools

commit 49e2d4f3b1134d1b7c47b316b757cf1d7a8acccc
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 11:31:12 2011 +0200

    update .gitignore

commit c371a4b0989610069066dadd2ea0366d17acf5d2
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 11:15:23 2011 +0200

    fix setup

commit ce41f639cf0a32643f86f67600147054416b2f5a
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 10:33:29 2011 +0200

    be more explicit.

commit acc19db64274889c7809dcd232db273dadcaa413
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 10:28:21 2011 +0200

    install with archflags

commit 521a508da668057f613606b6df269eb80864c21d
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 09:52:33 2011 +0200

    hooks can now be shell scripts or python scripts.
    
    in configuration:
    
        {
            "hooks": {
                "pre-push": [
                    ["py": "somemodule.py"],
                    ["sh": "/some/shell/script"]
                "post-push": [
                    "/another/shell/script"
                ]
            }
        }
    
    by defaults hooks are shell script. To create a python hook
    
    just add a hook function to the script or module you call.
    
        def hook(path, hook_type, *args, **kwargs):
            pass
    
    where path is the couchapp path and args are different arguments
    depending on the hook type.
    
    pre-push -> dbs
    post-push -> dbs
    pre/post-pushapps -> dbs, pushapps=True
    pre/post-clone -> sources
    pre/post-generate -> None
    pre/post-vendor -> source, action (install/update)

commit b7856fd619bb6ff5c349f01929d3ea5d94d9479c
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 09:36:33 2011 +0200

    from the author of watchdog about fsevent module "The code is rather
    broken" so even if I didn't get any errors, disabel it for now and just
    rely on kqueue on osx, wich just works.

commit 00b92c88dabdd1ff687247a4525c7f12cd007bc9
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 09:27:01 2011 +0200

    reduce default update delay to 5 seconds.

commit 8ee8a26284ca3686952599d22878e8e44b6a9157
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 09:15:26 2011 +0200

    fix bad import

commit d320673b123bf94d0f04874ed711983884846533
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 09:08:10 2011 +0200

    add missing file

commit 0bd06315077654be68cfde0940e73d4e7024bb88
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 01:58:27 2011 +0200

    version is 0.8.

commit 381ec5f648558d28cde71c67d812c3ffe4782810
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 01:22:25 2011 +0200

    fix readme.

commit 130a3aa40a3fd8491840b6e638e0afc00d65fbdc
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 7 01:19:16 2011 +0200

    multiplatform autopush command (works on windows, bsd, linux & mac).

commit af301a2a523b245a92a04e674458c5bc0755a69b
Author: benoitc <bchesneau@gmail.com>
Date:   Fri May 6 22:31:13 2011 +0200

    fix new module loading

commit 3f2b7f5c19c74c751680a9539f217d0626155376
Author: benoitc <bchesneau@gmail.com>
Date:   Fri May 6 22:15:39 2011 +0200

    fix and improve hook loading

commit b24027f53343c2a6167f9af405163ac0546cf2bf
Author: Jeff Wheeler <jeff@jeffwheeler.name>
Date:   Fri Apr 29 16:15:48 2011 -0500

    Fix another import in couchapp/localdoc.py

commit 5a18c834e535a12adaaab6902999fa21b10fe446
Author: Jeff Wheeler <jeff@jeffwheeler.name>
Date:   Fri Apr 29 16:02:05 2011 -0500

    Fix deprecated import from desktopcouch

commit 06ce956e560f93d3a3a944713a496a25a63b4c8d
Author: Dustin Sallings <dustin@spy.net>
Date:   Sat Apr 23 11:34:30 2011 -0700

    Added path.attachment for requesting attachment paths.
    
    This prevents escaping when asking for the absolute path of an
    attachment within a doc within the database.
    
    Example: Given a document which includes a "thumb.png" attachment, you
    can get its path using the following code:
    
        path.attachment(doc._id, 'thumb.png')

commit 156626bd4135afdfeb5f03539a28b16771b0f5b6
Author: Dustin Sallings <dustin@spy.net>
Date:   Sat Apr 23 11:29:35 2011 -0700

    Allow app.view to reference views outside of this ddoc.
    
    When referencing a view as app.view('x') we'll stay within the current
    ddoc, but we can specify app.view('ddoc/x') to use another ddoc's
    index.
    
    There are three straightforward uses one gets out of this:
    
    My first case was to mix languages in my app.  I wanted my views in
    erlang, but my show and list functions in javascript.
    
    Secondly, one can have view grouping separation (e.g. don't rebuild
    view x just because view y changes).  This reduces operational costs
    of deploying new views.
    
    Thirdly, one can use views from other apps instead of recreating
    them.  This includes built-ins such as _all_docs.

commit 4042a7cc284d660bb8c7fcf506f981cbda138341
Author: benoitc <benoitc@gmail.com>
Date:   Sat Apr 9 16:23:30 2011 +0200

    synchronize with last stable restkit.

commit 07a634ff794a75aa4b4f9d18383a86e420cc6a76
Author: benoitc <benoitc@gmail.com>
Date:   Sat Apr 9 16:19:59 2011 +0200

    bump

commit 6cbbf32de4540982d76e27dff04ae73375eb5da3
Author: benoitc <benoitc@gmail.com>
Date:   Sat Apr 9 16:18:42 2011 +0200

    we are not compatible any more with py25.

commit 2bd24288812bf2f96ee935264a4581c01d47761d
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Mar 2 10:12:08 2011 +0100

    we don't use section anymore.

commit a86f6ef8eca4cf410bea40d506990af1a9cfa992
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Mar 2 10:07:36 2011 +0100

    bump

commit 240f4894bf1641ecc3c30ea3c41e91e9e08101d4
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Mar 2 10:04:36 2011 +0100

    integrate last restkit

commit d12ab5b04ded1f7ff9828360aa734bb508cefd33
Merge: fe8b23b e62db7f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Feb 9 16:07:41 2011 +0100

    Merge branch 'master' of github.com:benoitc/couchapp

commit fe8b23beafef15ef3bd47a465663c73a39102f6f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Feb 9 16:07:03 2011 +0100

    make restkit compatible with jython

commit e62db7f9befb568bbb42a49ca94a9f7647581914
Author: benoitc <benoitc@enki.(none)>
Date:   Mon Feb 7 23:36:14 2011 +0100

    bump couchapp debian version

commit dd93a5db5a22a722ed4d1c7cd5f58b2acfb12297
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Feb 7 22:20:44 2011 +0100

    typo

commit 76b0f9ae45d68c170c7d853458dc396731068201
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Feb 7 22:19:52 2011 +0100

    README build for macosx

commit bd69ae22bc2370d40e93cc99660c2f8a8aef1958
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Feb 7 22:05:06 2011 +0100

    package maker doc

commit ee1f4a8458d0cb198be361d9b07f0e69e2e8e3a2
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Feb 7 21:56:37 2011 +0100

    handle Libary path for standalone

commit d59d2cb05faaef8a85a040d4c3bb45dcbc2626ab
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Feb 7 20:46:25 2011 +0100

    fix ssl import

commit 6a3c6332c58422a29767d79865b6732330fc3180
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Feb 7 20:37:13 2011 +0100

    fix ssl

commit ba2ed6cc77dd42c5b7ca00b76e761cdac4c622b0
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Feb 7 18:14:43 2011 +0100

    add instruction to add templats to the couchapp exe. So now people can just use standalone executable without installing python on windows.

commit 9994c643015cfd1a3c3c67c25420036d15062436
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Feb 7 17:58:04 2011 +0100

    add README to build standalone executable on windows.

commit ba2eb80604b55414a3fd059ccfce19c8322a7be1
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Feb 7 17:44:06 2011 +0100

    update isc

commit 27762fa0155a3827726189627de9e20f51376afe
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Feb 7 17:14:39 2011 +0100

    last changes from restkit 3.0.4

commit 12531cdd3b31d89079703a979f83b733b96e4d1c
Author: benoitc <benoitc@enki.(none)>
Date:   Sun Feb 6 19:55:51 2011 +0100

    fix setup

commit f8889b79451ee39430d9850b1d21af1006e366fe
Author: benoitc <benoitc@enki.(none)>
Date:   Sun Feb 6 14:13:33 2011 +0100

    always wait between tries

commit a4cdd5d99f34f6d91c722d4ccf37904e6bb1fc87
Author: benoitc <benoitc@enki.(none)>
Date:   Sun Feb 6 12:38:29 2011 +0100

    bump

commit 76fa578d383f811a6ce6c0413038a992d66cf1d2
Author: benoitc <benoitc@enki.(none)>
Date:   Sun Feb 6 12:36:37 2011 +0100

    don't force timeout. should fix issues with couchone service.

commit aa9cebe0cb50ada41cf7e76d116f10c4a4821544
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 23:44:11 2011 +0100

    fix debian packaging

commit 4af73e182625052835f0d7e98549e7502f1fd00a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 22:40:40 2011 +0100

    bump debian package.

commit 1d726bf4f813510255fd09f5575f2b60219b6d19
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 22:39:38 2011 +0100

    bump.

commit 897d29fb80167db0e618eaed37d9bff14ce5f52e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 22:38:12 2011 +0100

    handle https urls in db string. spotted by jan____ on irc.

commit 548a2ce5fda049ebf04c9e1b12ed52a1ce904bbf
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 22:21:59 2011 +0100

    fix manifest

commit 26488a98ae8d8b24e42639dbe2c5c84c676d1a29
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 21:05:00 2011 +0100

    s/log.info/log.debug/g

commit 08fcb5bb56c07a71862a178aad73bbbe0784b1ac
Author: benoitc <benoitc@imac-de-monique-chesneau.local>
Date:   Thu Feb 3 19:34:20 2011 +0100

    fix script path

commit 004cf11319efa0699ce8de8b83fa0b70ae4de00c
Author: benoitc <benoitc@imac-de-monique-chesneau.local>
Date:   Thu Feb 3 19:26:45 2011 +0100

    fix windows  script

commit 955f3cfbd738da9427a3b99aba38f0d92b680719
Author: benoitc <benoitc@imac-de-monique-chesneau.local>
Date:   Thu Feb 3 18:52:45 2011 +0100

    import ssl and simplejson in the code so we don't need any dependancies.

commit 1865f9d18911077b296ef76298fece366e05aa41
Author: benoitc <benoitc@imac-de-monique-chesneau.local>
Date:   Thu Feb 3 17:54:44 2011 +0100

    errors discovered via pyflakes.

commit 5c6aa29df0890bd9a170bb401604cd11d733a848
Author: benoitc <benoitc@imac-de-monique-chesneau.local>
Date:   Thu Feb 3 17:50:57 2011 +0100

    fixes for python225 in restkit

commit e1750419a5c644f91f8bd62e0512abef02b7bf39
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 17:10:54 2011 +0100

    restkit import changed.

commit 167e27847d28d7656d2408485622570f989ef427
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Feb 3 16:17:43 2011 +0100

    restkit 3.0

commit 1307569cd262a55632cb35dd0c946df1f2b73721
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Feb 2 18:17:08 2011 +0100

    fix installation url. spotted by @jan-harmsen on github. fix issue #83.

commit 68abc4a81d959341a1d93253c9d362500c6844d8
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Feb 2 18:01:37 2011 +0100

    s/sock/sck/g

commit 182d1817119cf6f858bf5d5714defae55ee2a1ec
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Feb 2 17:27:20 2011 +0100

    preserver compatibility with old pythons.

commit 4606277834ebbd7cd5bbb6d38df3e4e9688e7a63
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Feb 2 17:12:47 2011 +0100

    upggrade restkit version to 3.0

commit d73087e265ff4d4e5cc7fe740958e76fdcb4c149
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 11:47:20 2011 +0100

    rmeove this file from sources

commit 6258ca412c18a43758b2317cb1e6749b726ca8c3
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 11:44:57 2011 +0100

    fix install data dir

commit 6240ae62a659773ff11b5bb87d2700ecadd7650a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 11:40:58 2011 +0100

    updte debian packaging

commit cada5f073c73654956cb4a580628afaff4892f06
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 11:13:19 2011 +0100

    fix windows install

commit 1ea8cd1c1fe67aabd5c0d420fa8302ef6d08da81
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 11:09:58 2011 +0100

    fix manifest

commit 90b8c0e37bde37c1cb277cc7b42673bb7fc34e4c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 11:09:10 2011 +0100

    useless files

commit 06a4958414d3852a43a03d0a0f6e8d1afd903163
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 11:04:53 2011 +0100

    improve couchapp installation:
    
    - include restkit in source
    - move packages data in the packages
    - remove setuptools dependancy, only rely on distutils
    - plugins aren't depending on setuptools anymore
    - move vendor in its own repository + templates.

commit a0563401b55cfce6a2d945b0a0961bc4e3db9f9e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 09:31:51 2011 +0100

    new setup

commit 29331a5f748a8205cbafec8fdafe83668311fea4
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 09:08:42 2011 +0100

    update .gitignore

commit 79b1ffca64269db5f767f8108c35fbfec7485f53
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jan 28 09:06:38 2011 +0100

    remove setuptools usage. Include restkit in couchapp module to ease the
    distribution.

commit 59e9137f77b84c72f9047c28d890c097bfc19ade
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Jan 22 12:39:28 2011 +0100

    allows creation of bare couchapp.

commit 8179040c1eda22fd2e719ca81fcc7f47eb29e7d1
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Jan 22 11:40:31 2011 +0100

    only test if pattern is ignored don't suppose people want to ignore dot
    files. Fix issue #81.

commit 54505dabd8e44b9a30bf9e17c6e1a0b09fbfff13
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Jan 22 11:35:10 2011 +0100

    fix issue #80.

commit b0ba841108a88459e8989ed87d1faf165cc886fb
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jan 20 09:35:45 2011 +0100

    fix issue #79.

commit 2077b89118d71071996c09004d772d2eaa0b7194
Author: benoitc <bchesneau@gmail.comwq>
Date:   Thu Dec 16 18:35:48 2010 +0100

    add some loging

commit c07887ac7ad945fe7128d75c66c4e7dfedd44c27
Author: benoitc <bchesneau@gmail.comwq>
Date:   Thu Nov 25 19:05:43 2010 +0100

    update for last restkit release.

commit 74612e99ed819063cc4b78a4a73561c55e09099c
Author: Paul Oswald <pauloswald@gmail.com>
Date:   Sun Nov 21 13:36:39 2010 +0900

    Clean up the Usage output a bit.

commit 0e6bc05f6514d50aa20f9001ca28bd6780846f62
Author: benoitc <bchesneau@gmail.comwq>
Date:   Mon Nov 22 10:41:43 2010 +0100

    don't display user credentials in shell. fix issue #77.

commit dab464591cbfd7e568a9312aee27ca5f0da41bfb
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Nov 6 10:55:04 2010 +0100

    create a commented .couchappignore file to let people used common
    defaults. Definitely fix issue #35.

commit 4c151ae0567b7946f354ed9dbe5c064ecae9553f
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Oct 28 05:24:08 2010 +0200

    bump

commit 323b20b5570b5135e15a4b3cf913b0a104adde93
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Oct 27 14:34:24 2010 +0200

    exit on configuration file error.

commit 202bba16950d8f78d083394bf0c4590d249070ed
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Sep 18 20:39:27 2010 +0200

    fix tests

commit 92eabb91ad599c4a0fe2ab4f6587ac288be2ee1e
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Sep 18 20:28:33 2010 +0200

    bump

commit 5a34c3c8a4bc96d580a896735836adc2c51a88bd
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Sep 17 17:52:43 2010 -0700

    actually remove autocapitalize and autocorrect

commit 54a516f155886e2b855fd128b7b8b2cc4d6da796
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Sep 17 17:52:10 2010 -0700

    Revert "turn off autocapitalize and autocorrect"
    
    This reverts commit 4592a8b896c293e244367575b13a4c166deeb5da.

commit 4592a8b896c293e244367575b13a4c166deeb5da
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Sep 17 17:51:35 2010 -0700

    turn off autocapitalize and autocorrect

commit 1e2d78e0dafc77e256b07a5bf38c3fe9a87669de
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Sep 14 17:54:39 2010 -0700

    fix a silly bug in the commonjs require and ./paths

commit 4e205d96a647cbbd21fd67570b5f6107ea26348e
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Sep 12 00:45:34 2010 -0700

    commonjs require no longer creates circular references

commit b4538bae42ba96e266d1cf99cdb3e59762824977
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Sep 11 11:49:14 2010 -0700

    set $.evently.log = true for tracing events

commit 44983667a284564a7d7cbed5f6d7c60690d07a39
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Sep 11 11:48:52 2010 -0700

    remove e.fun as it is the same as e.before

commit a9908f65ea41b3994fc8bfd7189125bdc5a15831
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Sep 11 11:13:12 2010 -0700

    only look for partials when an app object is passed in

commit f204bcf0d34c99d5af0d44d5ae4a6ab98d8cbb56
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Sep 6 11:35:17 2010 -0700

    allow for _common events and less duplication

commit 861d174d42376dc6786cd78646c6e7f238f74ae1
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Sep 6 09:37:28 2010 -0700

    pretty date fixups and a commonjs version

commit 5b8849cc3ddccf066943fe3f3dca157f19d744f9
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Sep 4 21:56:40 2010 -0700

    fix a bug in the global partials code

commit b33916c03eb4d1bdcfee33dbd869abf69a401421
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Sep 4 21:51:58 2010 -0700

    cleanup view queries

commit 5005fc06b8d28ed5a26db9d82402312e1fdb33a2
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Sep 4 21:49:52 2010 -0700

    evently can do nested partials now

commit f6bd07c0785eef78a600a07347a027a48d72923e
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Sep 1 17:59:52 2010 -0700

    leave junk out of the query

commit 45e87b846e0b1736516aba063a256d703a499bf8
Merge: 91fe737 01dfc56
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Sep 3 07:14:10 2010 +0200

    Merge branch 'issue62'

commit 91fe73712dcc4f05c30d575153d18b1c958e8819
Author: benoitc <benoitc@e-engura.org>
Date:   Thu Sep 2 19:23:08 2010 +0200

    bump version

commit d6458aebef9ff03090010e10ac47ef1604622a7e
Author: benoitc <benoitc@e-engura.org>
Date:   Thu Sep 2 19:21:57 2010 +0200

    fix issue #63. Thanks!

commit 01dfc564c2286da056d79c94d8aedd7996d642fb
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Aug 31 11:07:01 2010 +0200

    fix issue #62 make a field deletable

commit 3c946e3f3127e6b371c2edb80bc48085f0be487b
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Aug 30 20:51:18 2010 -0700

    set $.evently.log = true to get a running log of your event triggers

commit c962f7f44d89d63d1f576e243024ea1be2dadfd5
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Aug 30 20:49:15 2010 -0700

    make mustache data more robust

commit efb8ff550791515d505194d31243baabe458f8d7
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Aug 24 08:57:56 2010 -0700

    delete lame readme

commit 018f70bab45f1fc2a24c857ed1ef8c208f0d8543
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Aug 27 05:47:09 2010 +0200

    couchdb-lucene uses the same pattern as in views. fix issue #37. Thanks.

commit ddcbe46ae034cc8efcc617bf8fbfa34ef0b7f42a
Merge: 16d882a 3e82557
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Aug 27 04:21:00 2010 +0200

    Merge branch 'master' of github.com:benoitc/couchapp

commit 16d882ab7d84ed82f3e0a2571f27fdf766d20d88
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Aug 27 04:20:02 2010 +0200

    fix whitespace

commit 3e82557984c044831ace4c6c6cdb8c3be055118f
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Aug 27 04:20:02 2010 +0200

    fix whitespace

commit ff3cee7f8c43c794230d57803fbb180b33964793
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Aug 23 15:08:10 2010 -0700

    subset of the ddoc can be embedded in the html or loaded via ajax for faster page load times

commit c5c7a27b3ab1a66a183c0a68e63ccc96100dae8b
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Aug 22 17:51:06 2010 -0700

    shave a few ms off page load times by loading the ddoc as soon as possible

commit 24995c3f6e7a86b13ece44629709cdedf19779bb
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Aug 22 16:18:08 2010 -0700

    refactor and reorganize jquery.couch.app.js

commit f5ff8bcf5b60d83f4ff7fea403252b0a1d78fbdc
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Aug 22 15:06:48 2010 -0700

    move docForm out of jquery.couch.app.js

commit e9947ca990e54d961db0716ec5205c8bb993ad7f
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Aug 17 00:02:12 2010 +0200

    fix issue 55

commit 120064ec90f214818d222b85bacaf66bdcd916da
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Aug 16 23:59:33 2010 +0200

    fix issue 57. thanks !

commit 6b8690950fcae40702c27ce05be56d5e7989393a
Author: benoitc <benoitc@e-engura.org>
Date:   Sat Aug 14 11:13:37 2010 +0200

    /page namespace

commit 5c360f093f118a5cc76de81d4bd6a2526ca15002
Author: benoitc <benoitc@e-engura.org>
Date:   Sat Aug 14 11:10:20 2010 +0200

    fix links.

commit cf9062ff8e3557d15212b94cb3da73e7a1b03902
Author: benoitc <benoitc@e-engura.org>
Date:   Sat Aug 14 10:47:05 2010 +0200

    update README

commit 6f8e3b3f6517f8b94d1964c06ec8011af4b2e867
Author: benoitc <benoitc@e-engura.org>
Date:   Sat Aug 14 09:42:44 2010 +0200

    whitespace?

commit 4224afcba624d1631c488f52cd021573968d1356
Author: benoitc <benoitc@e-engura.org>
Date:   Sat Aug 14 09:16:04 2010 +0200

    installing wasn't updated and confuse users.

commit 0bd2e8f5743af133e734ee1f16f438fae53daa5d
Author: benoitc <benoitc@e-engura.org>
Date:   Sat Aug 14 08:57:33 2010 +0200

    couchapp macosx uninstall tool

commit 442448cb5c9d617a9b0bea224b604831fa468b3a
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Aug 13 17:28:24 2010 -0700

    fix syntax error in generator.py

commit 3aacc788ecafa19f3167faaa25611e03329aee21
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Aug 13 17:24:33 2010 -0700

    validations library

commit 1cc94d523b7deff7b4ce62c109d641672ea65666
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Aug 13 17:23:22 2010 -0700

    cleaner urls when pathbinder has no action

commit 5af7730f3a14f23f4b171bb666a9c0b704b5808c
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Aug 13 21:37:10 2010 +0200

    windows fix

commit dad45d4f9c49b7b1e4ff1fc1511490ea14c498a8
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Aug 13 11:55:29 2010 +0200

    update debian package

commit 43b727247256414609b8fd17fc7f25e4ecd97c65
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Wed Aug 11 22:42:00 2010 +0800

    metadata.json file in vendor subdir

commit 5d0485efa70e06ff65a4c0f4d708ef4d023abf7b
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Wed Aug 11 22:38:44 2010 +0800

    use fields parameter

commit ccfe4230ac2f6a0480800891a329bbc57900c447
Author: benoitc <benoitc@e-engura.org>
Date:   Thu Aug 12 09:21:49 2010 +0200

    we can force attachments in both modes now.

commit 7e9fcc24e4e02e060b2ec1d7ccd5ae819f4010d5
Author: benoitc <benoitc@e-engura.org>
Date:   Thu Aug 12 09:10:01 2010 +0200

    more efficient attachments management in couchapp. Send only new
    attahcments both in --no-atomic and atomic mode. Also delete attachments
    only by removing the stub on first save wich put less http call in non
    atomic mode.

commit 0a0d9b7727316bd7e6d618f3a26d41dc6b13106f
Author: benoitc <benoitc@e-engura.org>
Date:   Thu Aug 12 08:17:04 2010 +0200

    introduce -d/--debug global options. Make it easier to debug couchapp
    with orther users:
     - put couchapp in verbose level
     - display restkit http trace

commit 9bb67eef1ad85e4ccc77f44526c260084abb1502
Author: benoitc <benoitc@e-engura.org>
Date:   Thu Aug 12 08:06:28 2010 +0200

    handle 0.11 beta and post 0.11

commit 5832bdc4e95793ceb108a4b66dd41a1000969e72
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Aug 10 23:10:10 2010 +0200

    simplify the lcient

commit 0ac80e7e5659784325ab6e320da5fa8c9797287c
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Sun Aug 8 21:54:31 2010 +0200

    Warning if file will not be pushed because same property already exists.

commit 45624bc1313549652c5e4505371358a515a3a2da
Author: benoitc <benoitc@e-engura.org>
Date:   Fri Aug 6 00:08:08 2010 +0200

    fix deb

commit 704e33ed7478060e5876c1f19da0c2e4604e2231
Author: benoitc <benoitc@e-engura.org>
Date:   Thu Aug 5 19:57:38 2010 +0200

    update deb

commit 9ff4ec09664a286f0c408ac76eb9c5589a56e208
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Aug 1 10:11:18 2010 +0200

    generate spatial functions:
    
      $ couchapp generate spatial myfunction

commit 614c0de54498c79fa722376679744bcf4136e9c3
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Aug 1 10:04:44 2010 +0200

    add spatial template to generator

commit 6799cdc0344f97b6b832a5bfa6c7241894013269
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Aug 1 10:00:53 2010 +0200

    update README

commit aff29bac2ece57be7b649042dfd0420bf5665cf9
Author: benoitc <benoitc@enlil.local>
Date:   Sun Aug 1 09:54:57 2010 +0200

    add "spatial" member to macros so it can be used with geocouch

commit 7ab85ff558fb4345ebd2c2853564f8881333a281
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Jul 30 20:44:42 2010 -0700

    fix the readme

commit 0d0035d84441a6b51921f42200181473318f8bae
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Jul 27 13:44:21 2010 -0700

    docs for linkup

commit 83280ccb96c3748ebb07893660d4259526e26b88
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jul 26 23:47:06 2010 -0700

    add a library for twitter style links

commit 9d1264a100edff338d248e70e959b8eb669a7dd9
Author: whimboo <hskupin@mozilla.com>
Date:   Thu Jul 22 00:04:11 2010 +0200

    Support for reverse proxy configurations

commit d3ae59c528e748d1f04b317239183ca1dad9a261
Author: Geoff Buesing <gbuesing@gmail.com>
Date:   Tue Jul 13 21:31:21 2010 -0500

    jquery.pathbinder.js: update _lastPath value when path change is detected in hashChanged(), so that next path change can be correctly detected

commit 60e605e5c6c156ad4a96da4c2cc09c36bfffb15f
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jul 25 16:51:01 2010 -0700

    update jquery mustache to latest version

commit 3c293d4047dc79c62bdaaff7ff642083a59dabce
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jul 26 21:45:26 2010 +0200

    make sure we don't add any line at the end.

commit f8a292ba9d8a279bf755d5bc2dc15132374a8341
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jul 25 11:33:40 2010 +0200

    couchapp pip requirements

commit ac976cb32d26453f9a1305178f4d21b2caf1e0d5
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jul 25 10:07:45 2010 +0200

    fix json import

commit 978cb882739f620a75e6fdf8ad185ff51b324143
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jul 25 09:27:14 2010 +0200

    remove embedded simplejson

commit e84b3ab7eb26f11b9f2c9fc32194f119a5673525
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jul 24 22:32:44 2010 +0200

    manage ignore in portable watcher.

commit 77baf8dfc29d6ae482295ec2be9911e443bec5cf
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jul 24 22:14:55 2010 +0200

    add autopush extension. To use it, register the extension in your
    .couchapprc :
    
    {
       "extensions": [
            "egg:couchapp#autopush"
        ]
    }
    
    Then launch autopush server in the couchapp folder :
    
        couchapp autopush --update-delai 10 . testdb
    
    This command send changes every 10 seconds to tesdb database. autopush
    use linux inotify API if pyinotify is installed. Eventlet is required
    for this feature.

commit 5d9b935b0368198a2ec05bee4e87d4a8de896acb
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jul 24 13:57:56 2010 +0200

    fix issue #53. Thanks :)

commit 91ae77f47ac32f86d188db4105ef5cc4b0912027
Merge: 0ca80cc 0ef9e80
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jul 24 12:47:34 2010 +0200

    Merge branch 'master' of github.com:benoitc/couchapp

commit 0ca80ccfe158f7d5dfde7e1ce8a809bf6eab3b73
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jul 24 12:47:12 2010 +0200

    fix exception

commit 0ef9e80d28f98dfb5f697e208b28d11a90539ad1
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jul 24 12:12:03 2010 +0200

    oups bad copy-paste.

commit 7600b3540f6f8707442c781664b818afac6c8813
Author: benoitc <benoitc@enlil.(none)>
Date:   Sat Jul 24 12:12:03 2010 +0200

    oups bad copy-paste.

commit 17827596d669aa31cd7a83cb1639562f31f70217
Author: benoitc <benoitc@enlil.(none)>
Date:   Sat Jul 24 11:36:38 2010 +0200

    remove setutools dependancy

commit d1aa59ea2cf84265870c2d27048d02d8563f83bc
Author: benoitc <benoitc@enlil.(none)>
Date:   Sat Jul 24 11:04:17 2010 +0200

    allows ubuntu user to browse couchapps stored in their local couchdb
    (installed with couchdb), while I'm here add "browse" command.
    
    To browse with "official" couchdbs :
    
     couchapp browse . http://host:port/mydb (or couchapp browse . mydb for
    default url)
    
    ubuntu users with desktopcouch :
    
     couchapp browse . desktopcouch://mydb
    
    and with push option :
    
     couchapp push --browse . desktopcouch://mydb

commit 8a15488641d600a5c80f539b5acc078856521d02
Merge: a57454b 948d0a8
Author: benoitc <benoitc@enlil.(none)>
Date:   Sat Jul 24 10:07:36 2010 +0200

    Merge branch 'master' of github.com:benoitc/couchapp

commit a57454b1f2f7356e17699579d4ee36ffa9d8f838
Author: benoitc <benoitc@enlil.(none)>
Date:   Sat Jul 24 10:03:50 2010 +0200

    add desktopcouch support. Only push* & clone for now, browsing isn't
    possible for now due to the need to set a local password.
    
    to push to your local couchdb installed with desktopcouch :
    
     couchapp push desktopcouch://testdb
    
    To clone :
    
     couchapp clone desktopcouch://testdb/_design/test test1

commit 948d0a875ce2aff70be8de2bb26d7237bbae5279
Author: benoitc <benoitc@enlil.(none)>
Date:   Sat Jul 24 10:03:50 2010 +0200

    add desktopcouch support. Only push* & clone for now, browsing isn't
    possible for now due to the need to set a local password.
    
    to push to your local couchdb installed with desktopcouch :
    
     couchapp push desktopcouch://testdb
    
    To clone :
    
     couchapp clone desktopcouch://testdb/_design/test test1

commit 8bfd53d52908b819fc956036dc04230cb97faa7e
Author: Chris Anderson <jchris@apache.org>
Date:   Thu Jul 22 14:20:17 2010 -0700

    add mustache.js commonjs to couchapp vendor

commit 550204818f9a6d148ae09f371e89b1620e9abd7f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jul 21 15:26:49 2010 +0200

    by default docs in _docs/ and when so is using pushdocs aren't a design
    document.

commit 107f8928ccb30edf16400121e593639b563544b1
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jul 21 14:11:50 2010 +0200

    if index.html exists use it as coucahh uri if no index was set before.

commit 0baacf7b25c0c45102c3da3af9b64b8a4cc8bec2
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jul 21 14:06:49 2010 +0200

    only print index url if it's fixed in metadata.

commit 1a442914c4d5c37388276fee1e5344c042432e4a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jul 21 14:00:28 2010 +0200

    fix bug spotted by @janl that prevented sending docs and couchapps more
    than one time with --no-atomic option. thanks

commit ccb8a6492b3f6d5945d3e0f57d3500d44da1995c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Jul 20 19:55:29 2010 +0200

    update retskit to last stable version and bumlp version number

commit aefc14784467e005ab9914db0c26adde9c117f89
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jul 19 22:24:44 2010 -0700

    a README for generated couchapps

commit 577a7d590c75789f35c48788fce364b7f6912f39
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jul 19 22:00:30 2010 -0700

    make items data function more robust

commit 9e09aa04800df02502da67ff3719a6e5db15385c
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jul 19 21:35:51 2010 -0700

    remove docs from generated couchapp, they have their own app now

commit 6237858ca04e1e4396309b63a2d3a9733b88f2cc
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Jul 13 14:43:52 2010 +0200

    default uri.

commit 67689723ea393afdcf955fedfa2ac7c014dc0f79
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jul 11 18:05:31 2010 -0700

    avoid dots in event names b/c namespaces are not the intent

commit 3ca93fdd0f5c47a0fe7e9a24b3b3cbcc2cd3f6a7
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jul 11 14:44:09 2010 -0700

    simplify form handler in proto

commit 07f475c901149acbdc71f2a2788428038d48dd5f
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jul 11 14:30:25 2010 -0700

    add alt tag to avatar

commit 507b47d33f8e46478eb7f4fcc85e8b71b5ac8d95
Author: Nathan <nathan.stott@whiteboard-it.com>
Date:   Wed Jul 7 22:13:27 2010 -0500

    add error and validate options for docForm, also rename onLoad to load

commit 808fe689ec6ad8fa7784071a6d42af0200cf5479
Author: Nathan <nathan.stott@whiteboard-it.com>
Date:   Wed Jul 7 15:17:10 2010 -0500

    cache required modules

commit aaec0375d4da3f840f216f4888fa9602270751e4
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jul 4 11:28:50 2010 -0700

    an awesome helper for jquery form handling

commit 185a85a0af6b4a9b6385edc763db672a849ecf41
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jul 4 10:35:50 2010 -0700

    log errors in user functions to be helpful

commit da6a1aadc7aaee5013d8ac2252a1bf7f2a3d2336
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jul 4 10:35:28 2010 -0700

    more accurate regex avoids spurious matches on path tail

commit 9bd48f8d05c6362b7b7120f1260ecab0c1ab2d22
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Jul 2 23:30:23 2010 -0700

    one less xhr request to get the users db info

commit 7b2ba0d7d85738de5daaf3a980e3857ead767ab6
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Jun 22 20:49:49 2010 -0700

    add heartbeat to changes handler

commit d08312b608a686db2afe9d6c4a6f08b13deb43b6
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jun 20 10:37:02 2010 -0700

    api to get path from pathbinder

commit 10a42fe1c3b5f1053d4ab100e62437cd620f54d5
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Jun 19 16:32:25 2010 -0700

    setup userctx object

commit 12902e927a67a10204db823a8cc689498a574246
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Jun 19 16:29:05 2010 -0700

    fixup options in evently changes fallback

commit 0bcab3c10a4a780faf4abc22eaf339b11dbb2b62
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jun 14 18:27:16 2010 -0700

    bug fix on changes fallback

commit cdd9b0c453931b736bc90002b335546b5faed80e
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jun 14 16:34:49 2010 -0700

    make the loader ie compatible

commit 0d521bc2048c5df3d176da29e5a6bedccad146a5
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jun 14 08:10:00 2010 -0700

    pathbinder no longer sets path based on DOM trigger by default

commit 79888e371745b0feadd4ae3cacb392adf0e3c4d3
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jun 14 07:16:41 2010 -0700

    remove unnecessary after.js -- parse username from the dom if you need it

commit bc0ea30ceb1ea07153ed8abc66bab7ed222e6a72
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Jun 14 07:16:15 2010 -0700

    pathbinder can bind to multiple paths in one file

commit 5e8dce9c292acdda93af8e91d65973edef06e0e4
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Jun 13 11:12:48 2010 -0700

    fix evently _changes in chrome by using longpoll (and jquery.couch.js changes if available)

commit e9bbc73bdb473b7f00e502ebaedbf4cfc61afc66
Author: Chris Anderson <jchris@apache.org>
Date:   Thu Jun 10 15:22:06 2010 -0700

    bug fix for pathbinder edge case

commit eecd2b80e5b9e385c3c85fbb8e2a627e3a556c93
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jun 5 20:18:28 2010 +0200

    bump to 0.6.2

commit 1ed00b2ed11d398829202696886caef80134e0c9
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Jun 5 11:03:23 2010 -0700

    fix issue no 42

commit 6a5fc498e3ec394b381790a09c9df589debb8eff
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 31 23:15:18 2010 +0200

    useless endline

commit d15ba8f1b466292402fd00ac1224b3c2138c3914
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 31 23:13:19 2010 +0200

    bump dev version

commit 6f257ab207c5af4f9902657537e29cac402d54dc
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 30 21:05:34 2010 +0200

    remove unecessary warning, put it as a debug info. fix issue #47

commit aba1f945bc40f9572abb6bf4daf31509b0681a9e
Merge: 62ce32c 9058324
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 30 11:35:52 2010 +0200

    Merge branch 'master' of github.com:couchapp/couchapp

commit 62ce32ccb6ce87fa634d58bd700c6dd94ae5a3cc
Author: benoitc <bchesneau@gmail.com>
Date:   Sun May 30 11:32:31 2010 +0200

    fix no-atomic send. Spotted by @janl on irc. thanks

commit 9058324e5af9f319387dc1d62fa933fbf0ed301c
Author: Chris Anderson <jchris@apache.org>
Date:   Wed May 26 19:19:03 2010 -0700

    more humane admin party handler

commit 3e47e777a4d3343a14c56631ced760ecf7a05fc2
Author: Chris Anderson <jchris@apache.org>
Date:   Wed May 26 18:44:37 2010 -0700

    update couchapp for new revs versioning, some debugging

commit 6ec3218d69d96e81f6ced477553ffff794e44ce2
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Sun May 16 11:25:21 2010 +0200

    return empty tupple when checking version, instead raising. It allows
    cloning work on site like ocuhcapp.org.

commit f920ef113941e2eaecf018599949d43271a00049
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Fri May 14 13:40:40 2010 +0200

    Display a message error, when we can't check couchdb version. Fix
    Problem spotted by Justin on the ml.

commit d9efa07a160d4b39e2376c34156f81a7a0b11127
Author: Chris Anderson <jchris@apache.org>
Date:   Fri May 7 21:26:08 2010 -0700

    comment out some debug logging

commit 6d8d72842f571f76dcd8e214d2f85aa0d0dca47e
Author: benoitc <bchesneau@gmail.com>
Date:   Fri May 7 23:23:40 2010 +0200

    bump

commit 27d4056e5f2f04ee7b79c93376114c7d9544e3d6
Author: benoitc <bchesneau@gmail.com>
Date:   Fri May 7 08:41:10 2010 +0200

    indentation. fix issue #43. Thanks :)

commit 211c3504ed601af7acbeef8fc45521c82c87bed6
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 3 19:21:03 2010 +0200

    fix windows install.

commit d6003c76493fc00861ab66a1716dca0b74bc6b8e
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 3 15:13:07 2010 +0200

    some doc update

commit d0c19b1cef8e6daac9ff48ad830b9dd2e111ab4c
Author: benoitc <bchesneau@gmail.com>
Date:   Mon May 3 15:06:51 2010 +0200

    display pywin32 error

commit e9cc42c4558ddf456d4dc86b4283beae9b2974ac
Author: Chris Anderson <jchris@apache.org>
Date:   Tue May 4 11:28:20 2010 -0700

    make the loader reusable

commit 864c4f0d06e488bfcc159ba2a128ecbaf5a3cb36
Author: Chris Anderson <jchris@apache.org>
Date:   Mon May 3 14:06:03 2010 -0700

    ideas for the example app

commit 1906b8f3eab22a3a9239332910d2d12f12260c8c
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 17:55:12 2010 -0700

    less css

commit 18eb60784c5878b0366940a3a530909dc2a1c225
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 17:36:24 2010 -0700

    styling ui welcome message

commit e26a89ab1473720e43ab2af4164f9acbbdc6f940
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 17:26:45 2010 -0700

    styling ui

commit df1853e8b85881525505b04d65bec5a884925a93
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 16:30:04 2010 -0700

    documentation and cleanup

commit a1464dd435469cc36fc483fc47ed3e93edfd45c3
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 16:23:56 2010 -0700

    show saved items in example app

commit 9320593219b8519825966ab5b025b160779f7300
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 15:43:03 2010 -0700

    update generated example couchapp to have a functional login and signup

commit 12abf3161ca7e86d99f28a7edfa7460dc6bb138e
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 15:04:02 2010 -0700

    update example app with example Evently login and example form

commit f6ee1fbaac2942c5a8ae201cb9a4075bcf11133d
Merge: 256a535 aa3b0fb
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 14:07:32 2010 -0700

    Merge branch 'master' of github.com:couchapp/couchapp

commit 256a5358d6eb031cf742059a0995eaee186f41fd
Author: Chris Anderson <jchris@apache.org>
Date:   Sat May 1 14:07:21 2010 -0700

    initial Evently account, profile, docs README.md

commit aa3b0fb8daf1570c822710f55eb5c2cb7a01b853
Author: benoitc <bchesneau@gmail.com>
Date:   Sat May 1 00:40:22 2010 +0200

    more doc

commit 143d877c17d19cb879f31016a58b92b5fed0bdc2
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Apr 30 10:18:27 2010 -0700

    couchapp db and design name are configurable in addition to the auto-discovery. this makes it possible to use $.couch.app() in rewritten paths

commit 873e4495a02d0d65e2fb6de93d5606f478df2340
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Apr 30 09:06:49 2010 -0700

    fix syntax error due to oddly applied patch

commit 3d135b0e4f16e214303a874b756f689e75d21d3b
Author: Jim Puls <jim@nondifferentiable.com>
Date:   Wed Apr 28 14:24:47 2010 +0800

    Some fixes to running shell scripts as hooks

commit 8110d0631f9f6ce9dfad9990591ecaf78b1973e3
Author: Jim Puls <jim@nondifferentiable.com>
Date:   Wed Apr 28 12:19:15 2010 +0800

    Checkbox support in formToDeepJSON/docToForm

commit 0d5cb6cdeaf5c04715ae881f7e250284054935d6
Author: Jarrod Roberson <jarrod@vertigrated.com>
Date:   Sun Apr 25 23:30:51 2010 -0400

    adding support for list view query both GET and POST

commit 6ffc07902c0c41a88448d18dca105b3cbb0b49cf
Author: Jarrod Roberson <jarrod@vertigrated.com>
Date:   Wed Apr 28 23:05:16 2010 -0400

    adding compatiblity code so that jquery.couch.app.js will work in IE7/IE8

commit 02b9507d6632a83bf4e473fb8ff83d4a888f9e76
Author: Chris Anderson <jchris@apache.org>
Date:   Thu Apr 29 09:15:51 2010 -0700

    a basic loader so you don`t repeat yourself

commit 7d3f7e000f25d4f3a7bfc42878578fe010cf5724
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Apr 28 16:57:09 2010 -0700

    evently knows how to auto-merge vendor and application widgets

commit 5348cab926ee14e74012a848e96487aa0e0eccdc
Merge: 843f9f4 0bdd665
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Apr 26 09:53:46 2010 -0700

    Merge branch 'master' of github.com:couchapp/couchapp

commit 843f9f4739fd177733b6aa371c108c214a95645c
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Apr 26 09:53:39 2010 -0700

    more flexibility in evently.connect source and target args

commit 0bdd665248edd779edf5a0b78c5f5e15224741c4
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Apr 23 05:49:49 2010 +0200

    add link to compress extension

commit 3fcf7fe8b49106f696d8c89de6492dc7ec4d07cc
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Apr 23 05:42:51 2010 +0200

    extends couchapp doc.

commit 1c768a116d06730750b9e7380432ad2a55917976
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Apr 21 18:36:07 2010 +0100

    add view support to client and fix tests

commit 3e168c6728ad97fa4a62b89c5d4f4fa5bc3d7332
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Apr 21 17:56:59 2010 +0100

    add default language to couchapp.  fix issue.

commit 4baffadddf1d4d1a6b85dce395899157b02c2ff1
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Apr 20 15:24:46 2010 +0200

    add macro support to couchdb-lucene functions

commit 9f9ae5c088a91c6d901d2987b9031e71db0d7128
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Apr 15 19:36:55 2010 +0200

    fix version and usage

commit dc00c6f862fd156ebe1998c8c82222029ff9bc45
Merge: e3bb719 407214c
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Apr 5 15:00:46 2010 -0700

    Merge branch 'master' of github.com:couchapp/couchapp

commit e3bb719a81a134ea059e5ee813950560c83918ad
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Apr 3 16:50:36 2010 -0700

    lib/markdown

commit f806fdfa4b1563b0a2514c3eec3902e470c4756e
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Apr 3 16:50:24 2010 -0700

    argument handling and multiple pathbinder matches

commit 407214cbbc983089081faf88bba21b4477659538
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Apr 2 10:27:47 2010 +0200

    usage

commit c6063318559fa82612789dd256a4e443c904d722
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Apr 1 19:16:03 2010 +0200

    first step of doc.

commit 9d26dbf2dc2941ce55d45061194ced4b85c09544
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Mar 31 14:49:21 2010 -0700

    add splat to evently and pathbinder

commit a65c639492e6903bb6600ed99c0e20f5abdb86a9
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Mar 27 15:20:41 2010 -0700

    finish up the evently async event

commit baad38b50ae02b359140de5857de2000285d6e68
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Mar 27 15:05:50 2010 -0700

    evently.async as an action

commit 22c7a2f7ab028b4fac16fd4e1560e363a25081fe
Merge: 198188a 13ccbfb
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Mar 27 14:35:21 2010 -0700

    Merge branch 'master' of github.com:couchapp/couchapp

commit 198188a0a76ec7a51915a0c07bc9e7fe374a9f76
Author: Chris Anderson <jchris@apache.org>
Date:   Sat Mar 27 14:35:14 2010 -0700

    onChange function invocation

commit 13ccbfb98654ee35874fbc2a334c9a32230b4043
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Mar 25 00:37:18 2010 +0100

    fix force. need sleep

commit 5905c593b328e1db429c6bb80ba52202c110379b
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Mar 25 00:30:29 2010 +0100

    attachments sending can be forced

commit 5794136b0dea4fe7e207c54e9a62c263632fee2a
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Mar 25 00:22:26 2010 +0100

    None is always different.

commit 7b7e2531c885ba43be61368ed6f15d35cf08637b
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Mar 25 00:13:16 2010 +0100

    should raise here...

commit cae0dc797e7152ed6bee2d8a2cf805666c5b03e9
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Mar 24 23:52:03 2010 +0100

    fix init

commit a7bfa1ed8a4944fc0ae9132fc01aa1c04a61c961
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Mar 24 23:43:05 2010 +0100

    make sure we set content-type

commit 576f07c00ed4e14d680a3e7115f31599097dd194
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Mar 24 13:42:42 2010 -0700

    update javascript files for sofa enhancments

commit 357278595c7de74d2f40926ea7089496316deda4
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Mar 24 17:20:49 2010 +0100

    fix error spotted by nrstott on irc. thanks!

commit 2766b9d0231bdd673cb08035740c8b78305db914
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 23:34:53 2010 +0100

    fix db_string could be None

commit 6afbdf80cd5886bea6680f2e5bc3ff12967a225b
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 19:22:35 2010 +0100

    fix vendor

commit f1b53b7f961fe99fcbe692a7602daf2a4db7c98a
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 19:09:23 2010 +0100

    revert last client change. no need for that

commit 22803720df5479d21061127b9c46cecc48ae407b
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 19:06:29 2010 +0100

    fix clone

commit 3b40315422127f208673a6daa9d8e0a7c5b1e066
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 18:57:34 2010 +0100

    fix logging level

commit 9f59294d0cb262c45cf96d3043173df378f264ef
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 18:46:35 2010 +0100

    fix import and vendor template paths

commit f3e6765d60d11ba852ac91cd912dae11e5c6281a
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 18:40:32 2010 +0100

    fix push

commit 2216e70cb9ea06694153ba6c729c6b508ba3fb6a
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 18:37:31 2010 +0100

    fix generate

commit 7ee27cba0e7bbb44e348b51a11f82e53d68ad424
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 22 18:25:17 2010 +0100

    refactor the code to make it easy. no more specific
    extensions/hooks/vendors parsing. Now you can use entry points to
    publish your own couchapp extensions/vendors/hooks. Hooks can also be simple script. While
    i'm here remove ui object and just use a config object.
    
    Edit the setup.py which is now more portable too.

commit 413571186a57bf5470c18037e8f9a58aa389aeee
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Mar 11 07:59:17 2010 +0100

    update restkit to the last one stabble. fix client. make sure we update
    all docs on pushdocs/pushapps when we use bulk save.

commit 07833920b059c611507ce2387fa24cd162c4390a
Merge: 9a64152 3ecff10
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Mar 10 16:08:48 2010 -0800

    Merge branch 'master' of github.com:couchapp/couchapp

commit 9a64152f26d4dbfae1f921cd900be24dc0c27902
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Mar 10 16:08:43 2010 -0800

    common js require on the client side couchapp

commit 3ecff107cbb817281576a6d4374362b67edca48c
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Mar 9 19:30:30 2010 +0100

    useless function

commit f6aae2fe5470c9576bc3988a35067300318d1e9a
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Mar 9 19:01:27 2010 +0100

    improve basic client and allow pushapps/pushdocs to force doc save
    (spotted by @janl) on irc

commit 7be42f458ea0ef8f569c687a32fded112dc6ab06
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Mar 9 16:07:43 2010 +0100

    apply patch from @yssk22 with slighty modification to avoid race
    condition. tests & clients still need a lot of works

commit 33467821b11cc826183f23f5a728b5fc6dc2465b
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Mar 7 10:08:01 2010 -0800

    commonjs modules for server side couchapp javascript

commit a6b75c3dfb6b3878fbe41647a75d4526af2da353
Merge: fef7a84 bb0f5bd
Author: Chris Anderson <jchris@apache.org>
Date:   Sun Mar 7 10:06:21 2010 -0800

    Merge branch 'master' into om

commit fef7a84f04d02cbd1d91a2c826908ec74e70de43
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Mar 7 18:10:23 2010 +0100

    update to restkit 1.2 and add -b option from @drsm79 (thanks!) .

commit 3191e02155b271fab8e78afb614a627961e1b08d
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Mar 4 13:49:13 2010 +0100

    fix. spotted by namelessjon on irc. thanks

commit d14383a4e8a971fd98ba5c8ab6f80f97edc3cb03
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 1 14:01:03 2010 +0100

    remove complicated code. Instead add restkit to our source and write a
    really simple couchdb client. With restkit it's also faster.

commit 3034c7736ab51e973cb10bf81c87d3c2e39b57cf
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Mar 1 21:15:52 2010 -0800

    profile widget handles user name for use in validations

commit f18353173d543bab11c5c739b4f84314c146541d
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Feb 24 23:10:05 2010 -0800

    profile state storage

commit 4075045984ebb58063cfd523c35d71158078b96d
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Feb 24 23:09:47 2010 -0800

    better logging and profile avatar display

commit a1fa39085c6f16f3f496cc690bcfa4d1ed3cde8f
Author: Simon <simonmetson@googlemail.com>
Date:   Fri Mar 5 08:19:41 2010 +0000

    Add the -b option to open the couchapp url in the browser instead of printing it out to the log.

commit bb0f5bd3eb2e122101a3d1c04164ab9a732dbb51
Merge: d068c78 4fb05c7
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Mar 1 21:16:04 2010 -0800

    Merge branch 'master' of github.com:couchapp/couchapp

commit d068c78083c9311f63e95711f9cccbb34a450a27
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Mar 1 21:15:52 2010 -0800

    profile widget handles user name for use in validations

commit 4fb05c72640a58515cb946c4a97685d929f1569b
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Mar 1 14:01:03 2010 +0100

    remove complicated code. Instead add restkit to our source and write a
    really simple couchdb client. With restkit it's also faster.

commit c5b55fafff8b5918177254238bc1ea02e6efa086
Author: Simon <simonmetson@googlemail.com>
Date:   Thu Feb 25 16:25:38 2010 +0000

    Neaten things up a bit, maybe

commit 0f9d503c321e83b49d370499ba2346f78644546d
Author: Simon <simonmetson@googlemail.com>
Date:   Thu Feb 25 16:22:41 2010 +0000

    First pass at some tests for the .couchappignores code

commit b7ca230f138e067bc75df623a3859844f119de78
Author: Simon Metson <metson@macbookpro.lan>
Date:   Mon Feb 22 19:12:06 2010 +0000

    Add support for a .couchappignore file. The file is a json list of regular expressions
    that each file and directory being pushed to the couchapp are tested against. The
    .couchappignore file should be in the top directory (e.g. where _id, _attachments etc
    are located) and covers the whole directory tree of the app (to save having the same
    file repeated in directories...).

commit a14b409aa0316519a4074c70a42718ec3c66dbde
Author: drsm79 <simonmetson@googlemail.com>
Date:   Mon Feb 22 10:39:38 2010 -0700

    Port Steve's CVS ignoring patch to the latest couchapp

commit 30225e4705a3e20d35b7beda09d466995ffcedb2
Author: Simon <simonmetson@googlemail.com>
Date:   Thu Feb 25 16:25:38 2010 +0000

    Neaten things up a bit, maybe

commit 3d5091413c62ce46f52707ced1ecb1122431cb8a
Author: Simon <simonmetson@googlemail.com>
Date:   Thu Feb 25 16:22:41 2010 +0000

    First pass at some tests for the .couchappignores code

commit 6cd914380fa266d974454a6a212fb8ec4a1f5bff
Merge: 622f72a 1852634
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Feb 24 23:10:14 2010 -0800

    Merge branch 'master' of github.com:couchapp/couchapp

commit 622f72abd7f8594aa5ca6d61d07ef15b5aa5d1a5
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Feb 24 23:10:05 2010 -0800

    profile state storage

commit 7041b6c271dc8790cb73de66c7882d2b730ae09d
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Feb 24 23:09:47 2010 -0800

    better logging and profile avatar display

commit c8907d2830457cdba6a306cf6377ba6c1b9556ab
Author: Simon Metson <metson@macbookpro.lan>
Date:   Mon Feb 22 19:12:06 2010 +0000

    Add support for a .couchappignore file. The file is a json list of regular expressions
    that each file and directory being pushed to the couchapp are tested against. The
    .couchappignore file should be in the top directory (e.g. where _id, _attachments etc
    are located) and covers the whole directory tree of the app (to save having the same
    file repeated in directories...).

commit 4cc71df009150ffdb007e5308087b6cb467eea9e
Author: drsm79 <simonmetson@googlemail.com>
Date:   Mon Feb 22 10:39:38 2010 -0700

    Port Steve's CVS ignoring patch to the latest couchapp

commit 1852634e41648771dd52551a2ebef0f86b9777a4
Author: Benoit Chesneau <benoitc@ubuntu.(none)>
Date:   Sun Feb 21 22:56:40 2010 +0100

    update debian

commit daf9cb06ce57bdba4e09d93dbf5331d0775b70da
Author: Benoit Chesneau <benoitc@ubuntu.(none)>
Date:   Sun Feb 21 22:47:29 2010 +0100

    update .gitignore and remove useless files

commit 352d7d56c0f6995f5c55cfdb6b58f9782f16b0d2
Author: Benoit Chesneau <benoitc@ubuntu.(none)>
Date:   Sun Feb 21 22:22:09 2010 +0100

    0.6dev

commit 48d90a3e9cc3a23133b0f2ebb99eda0fe519346f
Author: Benoit Chesneau <benoitc@ubuntu.(none)>
Date:   Sun Feb 21 21:24:15 2010 +0100

    allows debian packaging

commit 87233994459f6a6f286a318fd5f7838ff9be1ed8
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Feb 21 19:39:45 2010 +0100

    fix -f option of couchapp vendor (to force instllation)

commit 31114f76649958d78a96ec9068a8cd4adf3d9970
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Feb 21 18:40:16 2010 +0100

    display an error on windows when py2exe isn't installed.

commit 1c2796dc7f025c1cad5ec8e2cad80f1ae903688e
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Feb 21 18:15:20 2010 +0100

    fix install with pip and use correct vendor folder. fix issues #2 & #30

commit a3d05838ab13976b0c7b62486ef09aceac52017a
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Feb 20 19:59:03 2010 +0100

    80 cols

commit f996dbcedd0371e59a32f226dfd7485216a17c2c
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Feb 20 19:39:52 2010 +0100

    don't raise

commit 8e7716397d9f342f2733d415403d749a56b61a08
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Feb 20 19:35:01 2010 +0100

    update notice, add mustache.js

commit 86f3eb2b093992feedd0571e7123c384eac55703
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Feb 20 19:27:09 2010 +0100

    update license headers, add notice.

commit 52a811e7f02e57c2e984a343db481b6f1a2f5fd4
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Feb 20 19:11:40 2010 +0100

    improve

commit 6abd06af5d4f6b92ad237da968c1485d13796179
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Feb 20 19:04:46 2010 +0100

    ease the setup, use console_script entry point. Use the same version
    every where.

commit 22dd9e0025ad76533784eeb5e1443d821ccc2924
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Feb 19 17:14:15 2010 -0500

    turn off console log

commit ab7c99812df7f742456eaecbd54611cda7d9b5da
Merge: 49510ec 485ef2d
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Feb 19 16:06:47 2010 -0500

    Merge branch 'master' of github.com:couchapp/couchapp

commit 49510ec5801a1c9f3026e66fcc31fc01dfbceb3b
Author: Chris Anderson <jchris@apache.org>
Date:   Fri Feb 19 16:06:33 2010 -0500

    better profile handling

commit 485ef2dcd111845207d6929bce07f71881213de4
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Feb 19 00:33:06 2010 +0100

    add back metadata.json

commit 41d7cff811d010ce6b174f6812f3bb6d49f8665e
Author: Chris Anderson <jchris@apache.org>
Date:   Thu Feb 18 16:10:42 2010 -0500

    store profile on the user doc not in the application db

commit 420adb711399e635158c88db16620c6c7b4079b5
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Feb 17 01:33:43 2010 -0800

    document evently widgets in couchapp files

commit c620b740f401fd9e5edcebed863597a56146d685
Author: Chris Anderson <jchris@apache.org>
Date:   Wed Feb 17 01:00:10 2010 -0800

    docs for pathbinder

commit 63f69915bfce426e511493a6225018a75772af9e
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Feb 16 23:12:19 2010 -0800

    docs for the account widget

commit 128f2e38c3a9dd1880e9c889aac44d3c00635e2f
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Feb 16 14:03:23 2010 -0800

    prevent running docs _init twice

commit 4a29a01fe741ffdd66f8fda676ea874a5e36088c
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Feb 16 13:56:34 2010 -0800

    catch more agressively

commit 35e923c61b97edb566a00b6d26cff3403891a53b
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Feb 16 13:51:46 2010 -0800

    more docs

commit 8ff4242f1e60b4463bbdb70c6109df01d0825812
Author: Chris Anderson <jchris@apache.org>
Date:   Tue Feb 16 13:32:25 2010 -0800

    working on the docs for the couchapp account widget

commit 0ea4b413ff2eece163c9678a829f2c16792cdfac
Author: Chris Anderson <jchris@apache.org>
Date:   Mon Feb 15 19:55:05 2010 -0800

    upgrade couchapp vendor to latest code. much cleaner than before, still needs work.

commit d8e36e1ce2e78abe622e601be1c1286f0f426759
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Feb 2 23:21:10 2010 +0100

    fix created database

commit 5d611b8519e17a318830b20dfe932c926b5f3f6a
Author: Jan Lehnardt <jan@apache.org>
Date:   Wed Jan 27 18:00:20 2010 -0800

    fix version

commit 93ca38b9b84c60da8dc4a71a5cc265c7aa2ea413
Merge: 8d5f6f0 8b77324
Author: Jan Lehnardt <jan@apache.org>
Date:   Wed Jan 27 17:17:36 2010 -0800

    Merge branch 'master' of git://github.com/couchapp/couchapp
    
    * 'master' of git://github.com/couchapp/couchapp: (100 commits)
      bump version
      littl fix
      * remove unused variable
      Add log and warn messages to json macro processing
      bump version number
      back to the old behaviour. default id is _design/foldername. id can
      useless
      fix _id. Make sure we only read the first line
      fix windows path names in manifest (no backslashes)
      fix export command outside a couchapp.
      fix
      fix json macro problem when handling windows formated files
      fix hooks and compress hook
      fix compress options search path
      Generate attachment signatures before processing macros.
      fix __iter__
      fix typo. thanks to markh.
      patch from @rmg. thanks!
      Bug: Trailing carridge returns are not stripped.
      bump version number to 0.5.1.
      ...

commit 8b77324bb7dd5431a20687abac552c34efce7dad
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Jan 13 13:11:09 2010 +0100

    bump version

commit 37a662aea7909f9da4d99a034707370e17e90e85
Merge: 8359445 3e71590
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Jan 13 12:54:26 2010 +0100

    Merge remote branch 'ThoMo/master' into windows1

commit 83594451cb7102bafd2649f8503f35e64fa30564
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Fri Jan 8 18:30:51 2010 +0100

    littl fix

commit 3e71590cca31b2bb90caa22230bd04840519fb17
Author: Thomas Mohaupt <thomo@sun.thomo.de>
Date:   Tue Dec 22 08:16:45 2009 +0100

    * remove unused variable
    * Fix: empty input values don't deleting values in doc

commit 998988534cf590c42e11db8c624824d6cb13bdb7
Author: Thomas Mohaupt <thomo@sun.thomo.de>
Date:   Mon Dec 21 19:23:05 2009 +0100

    Add log and warn messages to json macro processing

commit 8076809a6eb21ef94f0e31b586e435dc2b9104cd
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Thu Dec 10 21:52:50 2009 +0100

    bump version number

commit 8ef83cb2737e51dccd70ffb53af35f07773741ff
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Thu Dec 10 21:35:21 2009 +0100

    back to the old behaviour. default id is _design/foldername. id can
    still be set by _id file (which is needed for default doc). Also an
    extra option --docid has been added so you can force the docid.

commit 9075bcce9ce4af559eedc253950446c8d697d9f2
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Thu Dec 10 19:08:24 2009 +0100

    useless

commit a273722bb1a2c154093c881e9a473ae1824b5d6d
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Thu Dec 10 19:06:54 2009 +0100

    fix _id. Make sure we only read the first line

commit 9dce2a97e0bbd253ae3eb7ea5d41d1a6ca4eec62
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Wed Dec 9 19:20:48 2009 +0100

    fix windows path names in manifest (no backslashes)

commit 456cd702c1b1d2fde1da06043755c6e91abf2194
Merge: a152b7a 897e67b
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Wed Dec 9 18:48:53 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 7934bfef56f5c37035bf2fbab05c82039596ef76
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Dec 9 17:52:45 2009 +0100

    fix export command outside a couchapp.

commit 897e67bfee8bcc9de7f8a417db0deaa6976117c5
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Dec 9 01:19:51 2009 +0100

    fix

commit a152b7a3aaf6b283e94642c9973d96593d1d3aa6
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Tue Dec 8 23:49:24 2009 +0100

    fix json macro problem when handling windows formated files

commit 575c2d849869b2d4833b918c35b1085d5e6dad5a
Merge: 34828d0 a315955
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Dec 8 12:18:38 2009 +0100

    Merge remote branch 'thomo/master' into mthomo

commit 34828d0d449a2e05556c2858d2e12c5154b90e15
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Dec 8 12:14:46 2009 +0100

    fix hooks and compress hook

commit 60dec82626a1a926e59a76ca894f04f0117771f8
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Dec 8 11:46:15 2009 +0100

    fix compress options search path

commit 3c89e38da7012fae5b5ca6bd2cb9fdbbc129710c
Author: Jason Davies <jasondavies@apache.org>
Date:   Mon Dec 7 23:33:09 2009 +0000

    Generate attachment signatures before processing macros.
    
    This means that couchapp.signatures is available to macros.

commit 54c3e83503f65dfa0550e79b507bab38c139c9bf
Merge: 0f9ee77 9b97679
Author: Jason Davies <jasondavies@apache.org>
Date:   Mon Dec 7 23:32:29 2009 +0000

    Merge branch 'master' of git://github.com/couchapp/couchapp
    
    Conflicts:
    	src/couchapp/app.py
    	src/couchapp/extensions.py

commit a315955494a020b454f4ec52dccbe5b696342648
Merge: cbd2bc8 9b97679
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Mon Dec 7 08:15:15 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 9b9767924be4a1dee5466bca453730cdbeaedcf3
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Dec 4 07:24:17 2009 +0100

    fix __iter__

commit 4b8c9e7b5ce55315e7807db7dc9859d1fe1c5c37
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Dec 4 06:58:02 2009 +0100

    fix typo. thanks to markh.

commit b37230e878a9f54d877954e2d6369c4db699789d
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Dec 4 00:51:28 2009 +0100

    patch from @rmg. thanks!

commit cbd2bc890f53a4049414c233fe0c1c92cd8f523b
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Tue Dec 1 06:36:57 2009 +0100

    Bug: Trailing carridge returns are not stripped.

commit 233238a7ed002938afcd52d7a404a3434cecba0c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun Nov 29 12:02:48 2009 +0100

    bump version number to 0.5.1.

commit d8c970971cbc6925a11c6d47bc1d3f12c5b3711e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun Nov 29 12:01:34 2009 +0100

    add update template to generators

commit c64986381c5442f44cd91091b55ad728220500dd
Merge: 1418fa1 4def0a6
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Sat Nov 28 14:56:27 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 0964b634d2910f3f9b4df0b49413d7f827013e53
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Nov 28 14:33:01 2009 +0100

    couchapp standalone for macosx via py2app

commit 4def0a6334ef989fcc9f28788904fdb41e3d31ba
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Nov 28 12:17:22 2009 +0100

    make sure ocntent type is defined

commit 10b53e32721c66ca307b1423699ac077dfa969c7
Author: unknown <benoitc@.(none)>
Date:   Sat Nov 28 12:09:34 2009 +0100

    new fixes while testing

commit 051e7783aa9217e8d216abd3a7f91a774759f09a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Nov 28 01:40:35 2009 +0100

    rethink hook system. final version. Now like extensions each hooktype is
    a list of command. Command could be a call to a python callable
    (function or mod) or any shell script. A shell script receive a json
    object containing informations and send in response another json.
    
    ex of conf :
    
        {
            "hooks": {
                "pre-push": [
                    "python:couchappext.compress:hook"
                ],
                "post-push": [
                    "/myscripts/notify.sh"
                ]
            }
        }

commit c47718f11bbdd286e52f824973e260cf0052b108
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Nov 28 00:31:06 2009 +0100

    rethink extensions. So now extensions are a list of key=value pair.
    where key is the name of the module to load and value the path to it:
    
    {
        "extensions": [
            "myext = /path/to/some/module",
            "myext2 = /path/to/myext2.py"
        ]
    }

commit 53a20409329c17ca9f31082406a08e4ceb54842b
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 20:02:40 2009 +0100

    fix compress extension & load extensions like we load hooks

commit 1418fa1298e8098ece2ef141d4f4ea257e76d5ab
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Fri Nov 27 16:45:35 2009 +0100

    Fix wrong couchapp path

commit 343862d09526e4016e0aa3321de4e0a8c4a72d33
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 16:37:20 2009 +0100

    fix template paths with windows

commit bfa2f8c4dc072e61f4b44c910e13561b7c99f3b7
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 15:57:21 2009 +0100

    backport import_module from python 2.7

commit 3380a4c1af24352580db8b0e17633b1f31aade09
Author: unknown <benoitc@.(none)>
Date:   Fri Nov 27 15:02:27 2009 +0100

    more windows fix

commit 1944cc01edd848adb0bda65951ab9978f0b08a80
Merge: ae97905 a89441b
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Fri Nov 27 14:29:25 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit a049b419ee9bf341ae8a7f6b1790c9628497c69a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 12:16:59 2009 +0100

    more fixes

commit a89441b542ba647ac71f73ee648e2b04f4bee85a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 11:53:01 2009 +0100

    better suport for win32 install

commit 25d6759bfd7ff3b5ea4b7e070f9825fe331e6ccc
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 10:57:36 2009 +0100

    another fix for windows. adapted from the diff from ThoMo. thanks

commit ae97905a522b1733e1c50f591adbcd7049e09b51
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Fri Nov 27 08:48:52 2009 +0100

    Fix UTF-8 issue on WinXP

commit a68afecc44243b78b08be0aebb4fcbc3d3c2cc10
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 01:00:52 2009 +0100

    default db could be set in conf. I forgot it. sptted by MrTrick on irc.
    thanks!

commit 4458e0650874db97794a6a7967e93c8e8a7fac02
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Nov 27 00:00:08 2009 +0100

    on some systems, manifest isn't build in order.

commit 24445c085ab82cdd23247ecf08f83d2935dce3c3
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 23:11:34 2009 +0100

    display usage by default + some fixes. patch from @backerman on github

commit c565b423081003ae067c0f562baca86393294623
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 22:50:52 2009 +0100

    don't play with the keyboard when music is good. Fix tests, sptted by
    Yamazaki-kun on irc.

commit 35725c5fbc2ab0f98f4c8c411acd8dc4e0f8002b
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 22:12:59 2009 +0100

    lot of unitests & fixes

commit b483fd1dfedf7138192a87b052ecbf89194a4719
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 19:40:17 2009 +0100

    tests for generate/push/clone/pushapps/pushdocs functions

commit 52a6a3e971200ff3f0b881967bbd11a732a28253
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 19:08:05 2009 +0100

    fix test

commit f46b78d95fe409040bd66ba0754a09af29bd3d91
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 18:18:08 2009 +0100

    full couchdb client for couchapp.

commit 97b5026d525d1c381203dda9af25540619b49d00
Merge: 00ed4d9 ca30aa0
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Thu Nov 26 18:13:44 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit eb648c7bb11476cac0d76aa6f12aabe1f7bde2fd
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 09:55:36 2009 +0100

    name exception

commit 0885861b0ae247877413f8bcdedc25584ba9d0e2
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 09:54:59 2009 +0100

    useless

commit ca30aa004ad882dc52f0949bcb4b8018d1588b10
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 09:30:04 2009 +0100

    don't force the use of distribute. By default use installed setuptools

commit 3804e261838490d3fa1e9645e3ddf3610b9710c7
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 08:59:35 2009 +0100

    include simplejson 2.0.9 in couchapp so dependancy is required.

commit 541d3e28c488a7ff51f57861ab98a81876c19f12
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 07:05:44 2009 +0100

    fix issue #17. thanks!

commit 708a0e180c3c13195d38933a7d7a312f83860ede
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 03:06:38 2009 +0100

    add metadata in vendor template

commit cd910b01d3eb585179419a83bac302b51a2f19fe
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 01:35:03 2009 +0100

    fix couchapp on windows (thanks to ThoMo on github for first patch).
    While I'm here fix pushdocs to handle doc conflicts.

commit 2418ca602cb4843eab2190c9902dc0108dc4b0cb
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 26 00:51:06 2009 +0100

    hook system is now back.

commit 36c8a5a8eca4f09df90fa886e0281be10bfd50b6
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 25 22:37:14 2009 +0100

    allow custom commands

commit e296a07c75d8bc25a781ba3820df91af8b8d7811
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 25 01:32:31 2009 +0100

    fix conf update. basic merging of dict.

commit 79269b7c899e373a7f39aa47b2f9221381628942
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 23:41:35 2009 +0100

    global extensions system. Update vendor to use it. next are hooks and of
    course custom command add.

commit bfd960e955ec40474c9434882dd90ca2a71fa44c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 20:31:35 2009 +0100

    fix comment. vendor now only know how to fetch.

commit 71c057c2d053560e2752f860387c40bd2f9a2b53
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 20:24:24 2009 +0100

    this bug must be old. fix push of .json files included in a couchapp.

commit bc62ba1dc1fc94ba5a8b4d1894c77a4871573651
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 18:45:36 2009 +0100

    fix vendor

commit 3283a10a33d427cada8440fbea8c75d6fd5c8ebf
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 18:04:27 2009 +0100

    fix uri for git+ssh://

commit 8abed97b0597c65f651fddc97a943c36d0c61ece
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 17:57:05 2009 +0100

    make couchapp vendor compatible with new system.

commit fe6ab9fb25730fe1bebae3f7c2d59506c59200be
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 17:38:56 2009 +0100

    they don't need to be committed

commit 6d81162426a6767f0677a9b47e08be3f67611b67
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 17:38:25 2009 +0100

    missing files

commit 903521295ae5a2d30607f9b796f3543488d8d725
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 17:32:39 2009 +0100

    Complete rewriting of vendor handler. We only need to provide a way to
    fetch them. While I'm here added tje couchdb and hg vendor handler and
    sort the commands in usage.

commit 97c21e1d319c4b0840ea21babcde9a365bba8eaa
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Nov 24 01:34:03 2009 +0100

    fix --export option in push*

commit a7dab1f63c50db892a4851294d6a1c084298d4b9
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 22:41:26 2009 +0100

    fix clone.

commit 5e37b18c804e0a8f556cef8d20c15886b22d550c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 22:08:03 2009 +0100

    fix pushdocs

commit 360fd3115103f999bd3b82846375769a9123adc9
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 21:59:03 2009 +0100

    fix push noatomic and pushapps.

commit 9b6f03cc1a85c652339e76f63be8424717a9cbf7
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 20:56:44 2009 +0100

    fix index link

commit afbfff52168f8e16232e00ef83211648e3c566c2
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 20:49:36 2009 +0100

    fix macros

commit f4ac398d850521c3407966d72d27869a39586775
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 20:45:06 2009 +0100

    localdoc allow to push any doc. So we need a way to know if we send a
    designdoc or not. 2 means: there is a file name `_id` in the folder or
    by default any doc with .couchapprc is a couchapp so a design doc.

commit cae992d4a1e40c447be0744e896d7c6227ef7728
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 16:23:31 2009 +0100

    fix generate app

commit f4161fb8afdded199ca55ca92560a897f4a2fa21
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 23 16:13:42 2009 +0100

    dispatcher is working. For now only usual commands. Lot of fixes in
    functions

commit 5fe54a0319796f7498c4c402cca2b9c95321ef1c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Nov 21 00:41:45 2009 +0100

    refactoring to allow command dispatching which will help us to add
    custom command later. broken for now. Commiting to keep source somewhere

commit 00ed4d9802216aa5b10d69dca9a37a6a25f48783
Author: ThoMo <Thomas.Mohaupt@gmail.com>
Date:   Thu Nov 19 01:08:37 2009 +0100

    Fix WinXP problem: Attachement name is not UTF-8 encoded

commit fc3b81acf4ee24003a99e5f3c7a49fcb56e17978
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 16:25:24 2009 +0100

    put couchapp modules on root

commit 785ff3c41c5505264dd3ca0a48e8b4bc20e332be
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 16:20:50 2009 +0100

    first bits of refactoring to add command dispatcher. do nothing for now.
    While I'm here fix app module which was broken for certain case since
    the yesterday update (new http client included).

commit c08e2a82a4020d59e9fa9ed8ce2e386d5d3e61da
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 10:00:36 2009 +0100

    update license header

commit 0f0eae608b0d55ffb8179ae0816d97d8d8a671d0
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 03:28:30 2009 +0100

    couchapp support only python >= 2.5

commit f104b685033e21d1ec64ca3f398437272406227f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 03:12:57 2009 +0100

    fix

commit 3b13d22785865856279d9461381c11452d90935d
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 03:06:54 2009 +0100

    optionnal I said.

commit 288fcb5b7c4496b24960d2986343029e04b7f839
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 03:02:42 2009 +0100

    remove simplejson dependancy and make it optionnal. Only useful for
    users of python 2.5x

commit ff8fdfb423bc54bf3243d73f3b0fbbb749e2fe8f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 02:52:28 2009 +0100

    fix tiny http client, remove restkit,couchdbkit,anyjson dependancies.
    also now clone is streamed like push. first step of couchapp refactoring.

commit 82e53925391bbd32987fdeef2c71a3c22c11f1c6
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 18 01:04:39 2009 +0100

    first bit of tiny couchdb http client so we could remove finally any
    dependancies and eventually provides exe & pkg.

commit 6a521373769277edb8d99d5fe4a9b0599e390a0d
Author: unknown <mot@.sqs.int>
Date:   Tue Nov 17 10:37:34 2009 +0100

    Fix: USERPROFILE handling

commit a32eb0fc475309fe2f7615bf98a6426bd26530d4
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Nov 7 15:54:13 2009 +0100

    fix version number.

commit f1cfad97bdb3114f46012a68f274b4fc6c5de89e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Nov 7 15:47:47 2009 +0100

    use distribute instead of setuptools

commit 7fab6b58b68cad34c71ecf502d700a5452daaf50
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 5 15:29:58 2009 +0100

    mmiss one important features

commit fb5f1a1316c309eac623ff84759b222c5eafd5b2
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 5 15:29:18 2009 +0100

    new todo.

commit 461a5c1b1408182304267d56eb2cbe07e6549de1
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 5 15:02:59 2009 +0100

    fix tests

commit 7c41051b9901d9c5912056bbc3a7b34741cbd328
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Nov 5 14:55:57 2009 +0100

    typo.

commit c2ae9e9928d14578455c9d4c6a85b22c91c1efc9
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Nov 4 21:49:34 2009 +0100

    Replace httplib2/couchdb-python by couchdbkit. It allow you to reuse the
    connection and is less broken.
    
    While i'm here back to a goold old python package by using dependencies.

commit 7977f417d93504b1a0ff330d99754bda8ed1a855
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 2 20:40:01 2009 +0100

    make sure we create all dirs.

commit e1b6a84c7a5e0a58701da6ae403241d3cd8ca838
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 2 20:25:28 2009 +0100

    fix issue #16. thanks!

commit 6617b1d75465d4fc4e1843548a6e1557d8090d9f
Merge: 9f9e52b 33f9fe6
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 2 19:41:41 2009 +0100

    Merge branch 'master' of github.com:benoitc/couchapp

commit 9f9e52bf9b0e47c3d4c7fbbd41a7c7552244b6ef
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Nov 2 18:48:37 2009 +0100

    all thse things are done.

commit 8d5f6f06565bdcd7af08adcbdfee6d5da188b778
Merge: a3b6466 33f9fe6
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Fri Oct 23 12:36:05 2009 +0200

    merge

commit 33f9fe6b2fd01e1fc70965d50ee6b81c7daef932
Author: benoitc <benoitc@pollen.(none)>
Date:   Fri Oct 9 22:21:12 2009 +0200

    make sure we add templates. obviously nobody tested this head in reall
    install ...

commit b1ef0236208e05f74fd82fb924037b1b78e1f2cf
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Sun Oct 4 20:39:57 2009 +0200

    fix issue #12. thanks!

commit 830dd67f9169e7ea6e3ffddca15f6c1ceae6a987
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Sun Oct 4 11:55:53 2009 +0200

    same issue but for user_path

commit 33c381b81366149ad634ca67b040872c91c17dfe
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Sun Oct 4 11:48:51 2009 +0200

    fix issue spotted by kathy on ml.

commit cc55eb318121d5a75221cddc9ce00682ddf70512
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 17:35:49 2009 +0200

    add supportt for vendor target

commit 8d0b3d2559e57772abf267954edf8b62d59156f0
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 15:56:58 2009 +0200

    set default name of app
    {
    
      "env": {
          "yourdb": {
              "name": "myname"
          },
          "default": {
              "name": "defaultnam"
         }
     }
    
    }

commit b16828c8e76cff7ee9df65bbcceb98a8e2720175
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 15:30:55 2009 +0200

    fix #11.

commit 62aa6cd0c9f437a7010418236735fe24dd2d3172
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 15:20:56 2009 +0200

    just display an error if custom teplate is missing.

commit cb9e1bb3cca8f2ed8ddddf969928ca24f03c095e
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 14:59:51 2009 +0200

    add support for custom templates.
    
    custom templates are in ~/.couchapp/templates
    
    you redefine default app and vendor in this folder by creating app and
    vendor folder in ~/.couchapp/templates .
    
    You can also specify your own template ex for myapp :
    
    ~/.couchapp/templates/myapp/app
    
    then on command line enter :
    
    couchapp generate app MyNewapp myapp
    
    last arg is the name of template, you could have subfolder too in your
    custom templates ex :
    
     ~/.couchapp/templates/client1/apptemplate1/app
    
    couchapp generate app MyNewapp client1/apptemplate1
    
    Functions can also be customized by passing a custom templatefolder :
    
    ~/.couchapp/templates/myfunctions
    
    inside create default map.js, reduce.js, show.js, list.js, filter.js,
    validate_doc_update.js
    
    then on command line to generate your custom view :
    
    couchapp generate view someviewname myfunctions
    
    it will create views/someviewname/{map.js,reduce.js} form your custom
    folder.

commit 84f382b55a4922f5c01cd5259db8ef3390dd5f22
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 14:01:33 2009 +0200

    add util function to get user couchapp path. will be useful for custom
    templates.

commit 21e07eb6c5d9b2858a295ecf2d35829c146ef1a7
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 12:02:58 2009 +0200

    support 'couchapp generate app MyApp' command line

commit 928a6d8bd76143064d4b6c316042795f4abc0822
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Thu Oct 1 11:50:18 2009 +0200

    add support for generation of views, changes filters, shows & lists
    functions.

commit 20c35f4a499cc865164b6eeeb2254c6826c1f804
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Wed Sep 30 17:16:39 2009 +0200

    display link to the couchapp at the end.

commit 1bdddef620025f809525e866edba209eefb0fedd
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Fri Sep 18 07:12:45 2009 +0200

    bump version

commit c44e3293c67cc971ff029251c569923e87b20215
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Wed Sep 16 09:22:12 2009 +0200

    reuse.

commit 5901e6ff2f5d8d942ed98ce957ac446c3e75c5fc
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Wed Sep 16 09:03:22 2009 +0200

    add support for changes filters fonctions. Close #9. thanks!

commit 3249325fef8a09f649181c5dcf318f10df64750a
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Wed Sep 16 08:54:37 2009 +0200

    fix issue #10. clean views. we remove empty views and malformed from the
    list of pushed views. We also clean manifest.

commit bd68adebf867c6c895689b0cd4315cda6daccd72
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Tue Sep 15 18:59:01 2009 +0200

    fix docs inline atatchments sending. spotted by quirkey on irc. thanks !

commit 24ae74e2ffb78eec47302ddd44a72b4538d9c5c2
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Tue Sep 15 07:09:19 2009 +0200

    useless debug message

commit cd1e43d8beeb32eb411c0eafb691fffdb3bc09f2
Author: Benoit Chesneau <benoitc@enlil-2.local>
Date:   Tue Sep 15 07:03:30 2009 +0200

    fix error with inline attachements in _docs

commit 0f9ee77ae7814df61bf09139bfd19030d2e2aa5b
Author: Jason Davies <jason@jdd.local>
Date:   Thu Aug 20 11:03:26 2009 +0100

    Do initial processing of attachments before macros.
    
    This allows macros to have access to couchapp.signatures.

commit 8c3d2a50b06d5c6b8a7f618813010ec22219e476
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Aug 17 22:00:37 2009 +0200

    patch from @jasondavies. thanks!

commit e74c42418c311e51a3a2f343ed2d8a5efd7509cd
Author: Jason Davies <jason@jdd.local>
Date:   Mon Aug 17 17:31:09 2009 +0100

    Add support for macros in updates.

commit 7b829b7f52e5f4d2eda0070b859b4d84a87556d8
Author: Jason Davies <jason@jdd.local>
Date:   Mon Aug 17 17:31:03 2009 +0100

    Fix import error.

commit ca41574e0fdb4fcbb7f6ca89934f4ff53907338b
Merge: d01957e 3cf3edb
Author: Jason Davies <jason@jdd.local>
Date:   Mon Aug 17 15:12:38 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 3cf3edb02fbfa8edce70dd46b550142e52eaaba9
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Aug 15 09:23:48 2009 +0200

    todo

commit 3be7191fc1202b7b6353a17f5d81c09f482b08b5
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Aug 13 10:41:01 2009 +0200

    add python version

commit 2abe1dd2c9e1849b331fbcdafdae56d579e48419
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Aug 10 11:46:32 2009 +0200

    apply fixes from @jasondavies. While I'm here reuse couchapp.utils.relpath.

commit 7022fdae11373a45d96d01bc90821fa07ec5d5d7
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun Aug 9 09:14:28 2009 +0200

    fix clone. bad indentation

commit d01957efbec70b25e7499dba8785d20e99a8e0f0
Author: Jason Davies <jason@jdd.local>
Date:   Sat Aug 8 19:49:34 2009 +0100

    Fix syntax error.

commit a271b77923f2d15ab1c4cbe191bbacde4d7b7cfa
Author: Jason Davies <jason@jdd.local>
Date:   Sat Aug 8 19:48:00 2009 +0100

    Fix for CSS compress hook.

commit 79ad93ea61f367824397fe63cfc6597354a39e45
Merge: c407ded 1e1a37c
Author: Jason Davies <jason@jdd.local>
Date:   Sat Aug 8 19:31:49 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp
    
    Conflicts:
    	vendor/couchapp/path.js

commit 1e1a37c7740c7ee3a518c3adff16068f62e5540f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 19:22:12 2009 +0200

    test if _docs is present

commit d65234a8ef530519db90a5b002d0f2de31b18550
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 14:06:18 2009 +0200

    up

commit f84d69d3ce4d44db89d7824ae6b87981bb7a775e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 13:41:13 2009 +0200

    Allow use of key already encoded. patch from @jasondavies thanks!

commit c407dedc759fb2e70c2f71cd95b34ebcb9f37958
Author: Jason Davies <jason@jdd.local>
Date:   Wed Aug 5 11:05:34 2009 +0100

    Don't JSON-encode req.query items in currentPath().

commit adfe6b394afd54ca928593dfb50ae9efdc118649
Merge: c02cc47 911a8c0
Author: Jason Davies <jason@jdd.local>
Date:   Wed Aug 5 11:04:29 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 911a8c09495e33b58e7489ad23eb821eb755fcd3
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 11:38:07 2009 +0200

    useless

commit 50b623f9e72529b9ad587210ad238f392b5dc65b
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 11:29:31 2009 +0200

    add --export option to push. Allow you to export a generated design doc to the console. Combined with --output you can save the design doc in the file specified

commit fa975dd69ea8c72b3ac7cfc8048844c01f646e44
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 10:46:51 2009 +0200

    retrieve current path in uyour couchapp

commit bd974781330d56b409717ac50ea8e05f4269f8cf
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 10:28:36 2009 +0200

    add pushdocs command
    
    couchapp pushdocs /somedir and send docs from `somedir` . Docs should be json files ending with .json or directories. If directory contain _attachments, _attachments will be attached to the doc in CouchDB.

commit b3b1ef9af40aa711a9e0b85f2447f9bf27aa7753
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 09:52:12 2009 +0200

    create/update docs from _docs dir in design folder. Usefull to create application with a set of default docs. Doc could be a json file ending with .json or a directory. Id directory contain _attachments folder, attachments will be attached to the doc in CouchDB.

commit 0c81f4657cccdacc66bf56e9c0a09949da58e722
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 08:38:47 2009 +0200

    fix error on py25

commit e6f634cb52aed8e5172b52f2a7d68be0867cc1fb
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Aug 5 08:28:34 2009 +0200

    remove .gitignore, imrpove way to create app template. Fix issue #4 and prepare for demo template

commit db5c19c65f6c1a07defcafcf1850ef76b4c24dea
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Jul 23 10:43:04 2009 +0200

    httplib don't manage transfert encoding. We need to hack the HTTPConnection object on 2.x versions. For now remove the header that cause http error 500 on couchdb behind proxy who follow the rfc.

commit 40356b9592ff919a3d02ce2161c7ad2781d08fbb
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Jul 23 07:01:43 2009 +0200

    don't set content length when using transfer-encoding=chunked

commit c02cc4715258dcb1b7288606c473c27e6a8faa22
Merge: 84a27d0 d54f6aa
Author: Jason Davies <jason@jdd.local>
Date:   Mon Jul 20 19:41:35 2009 +0100

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit d54f6aa6d25d01c2e4a2f52252885a08e4ed3e51
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jul 2 00:07:13 2009 +0200

    remove dirs starting with '.' in attachments. patch from mwhooker. thanks.

commit 4b5f1a00a4ce11c0bc959c324b9d8af1840962fa
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jul 1 08:05:40 2009 +0200

    typo

commit 7226021e6946ef5cc8897f1e2b1ddd82eeac7b95
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jul 1 08:01:48 2009 +0200

    add pushapps option. It allow you to send multiple couchapps from one
    folder. Ex to push all couchapp from ~/Work/test folder :
    
     couchapp pushapps ~/Work/test testdb -v --atomic

commit f7c1dc2a537d80cc6b09f4e1c0b193398cff9a0b
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Jun 30 08:43:56 2009 +0200

    fix compatibility with py25

commit 5ffda23be5b3df5a6f35e7d9b63c3494718ae0bd
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jun 26 11:09:24 2009 +0200

    generic conf is now handled via couchapp.conf in COUCHAPPPCONF_PATH or
    in ~/.couchapp.conf . So couchapp don't try anymore to send your home if
    it don't detect .couchapprc in current directory.

commit d4b4ccbf7cefe2f7fca5a5799f390f1873e2b388
Merge: 58f922d cf9f6e0
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jun 26 10:44:14 2009 +0200

    Merge branch 'master' of git@github.com:couchapp/couchapp

commit 58f922d7092833838b0c9c8d2ab584ea0dc9a9b0
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Jun 26 10:37:25 2009 +0200

    Some changes to make couchapp eventually compatible with windows. Since
    I don't have  a windows box, I can't test them but should work.

commit cf9f6e0d3315453a376eb4e61b71b404407ee052
Author: Steve Sanderson <steve@fiveruns.com>
Date:   Tue Jun 23 04:13:18 2009 +0800

    Updated README.md to better call out the expected format of a vendor repo
    
    Signed-off-by: Benoit Chesneau <bchesneau@gmail.com>

commit d5d8f556b207a8a88997b9830a2597e09114408e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jun 24 14:12:53 2009 +0200

    ignore bad file structure in macros (don't raise unobious error). Allow
    the possibility to have binary files in couchapp outside _attachments.
    Files are b64encoded in couchdb and decoded when cloned. Files content
    b64encoded start with  "base64-encoded;" string.

commit 3c03cbf570f90dec2db2a5559103424fafb45cac
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jun 24 13:00:57 2009 +0200

    make setup simple. On python 2.6> we use json from stdlib, on python 2.5
    we use simplejson

commit 9d91e1d19c74a59e2516f58c4a15f205f207180a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jun 24 11:32:46 2009 +0200

    allow push of .* files so someone could eventually upload its .git
    directory. Need to fix the management of binaries outside _attachments
    first.

commit 0e798667ca58531e1502b0ba898a40c62dd55785
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jun 24 11:16:38 2009 +0200

    tests of push atomic options

commit 84a27d0804d090bdf1610ce7df030029313a484d
Merge: 8da4fc6 61db058
Author: Jason Davies <jason@jdd.local>
Date:   Wed Jun 24 10:12:30 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 61db05868f6f2a21b3d70dc28606a0403930edf0
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jun 24 10:45:45 2009 +0200

    add atomic push. If you use --atomic option when pushing, only one new
    revision of design document will be created.

commit 8da4fc63a0712ddf592855e4202c78764bff64b6
Merge: c4a2573 ab4c8c6
Author: Jason Davies <jason@jdd.local>
Date:   Thu Jun 18 15:56:56 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit ab4c8c6f89bb3356f4f75c984a62fe14332e4569
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jun 18 16:52:14 2009 +0200

    .couchapprc always override couchapp.json

commit 4b19a86be970d4d1d7242b4ec7709c1fe70e46c3
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jun 18 16:50:37 2009 +0200

    ignore bad hooks

commit 6dffe1779b896d94bb4f0b4460f8e9e0eea155d4
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jun 18 16:25:37 2009 +0200

    Allow distribution of .couchapprc prefs by saving them in couchapp
    member except env & ..

commit c4a2573185be38171a5f2d9c8c78efbe19a09ee7
Merge: 8bc252e 0ba36d0
Author: Jason Davies <jason@jdd.local>
Date:   Thu Jun 18 14:05:35 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 0ba36d0e28df020924ba3bf364c6ee5c3ca61b82
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jun 18 14:40:04 2009 +0200

    add hook system. I developped an extension system for this. For now it
    handle only hooks :
     - pre-push
     - post-push
     - pre-clone
     - post-clone
     - post-generate
    
    It allow us ti put back compress stuff and make it more easy to setup.
    All you have to do is to enable compress extension in .couchapprc and
    set the pre-push hook like this :
    
    {
        "extensions": {
            "compress": {}
        },
    
        "hooks": {
            "pre-push": {
                "compress": {
                    "js": {
                        "test.js": [
                            "vendor/couchapp/date.js",
                            "vendor/couchapp/path.js"
                        ]
                    },
                    "css": {
                        "css/main.css": [
                            "_attachments/style/test1.css",
                            "_attachments/style/test2.css"
                        ]
                    }
                }
            }
        }
    
    }

commit 261b257f7fa04cf04b78b7517bb04d01383bddcc
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jun 18 11:47:52 2009 +0200

    fix fusil url & vendor_dir

commit de2c80985650ba63eba5e48d2777d3ac17395383
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jun 18 11:39:04 2009 +0200

    coding style. feedback from haypo on #pyco-fr

commit e6a6b9b4e144df49aaef7603e322f20ec1314586
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Jun 18 11:31:18 2009 +0200

    modify vendor handling. We now use python module to handle them. It
    remove one error in setup and eventually allow us to add them more
    easyly. While I'm here move compress stuff in hook folder. Don't work
    yet but will be better for future.

commit 8bc252e22dee1b9f76a7e6dc0e220a30008a9342
Merge: d5a8daa 63e23e7
Author: Jason Davies <jason@jdd.local>
Date:   Wed Jun 17 17:29:03 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit 63e23e715db55a6f5e2a59bc355710d72fefc5e4
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Jun 10 10:06:51 2009 +0200

    bump release

commit 037a1f3afda269c15f6db552b2e1c22708c24b9d
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Jun 8 11:17:10 2009 +0200

    fix tests

commit 9ffaea9c49a9cf9e4c061b21e517d43cc0e21ca6
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon Jun 8 10:58:31 2009 +0200

    update readme

commit 0ea31ea0d53aa5a3f762ef7378169b8bde1da6e5
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu May 28 11:42:58 2009 +0200

    update vendor folder.

commit 43b0e683e615aa9e52cb5bb1c43c526c98e1a763
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 20:24:22 2009 +0200

    remove this debug print

commit 07eef5ee532e989fae1f6262a0f021350bd5eaf5
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 19:59:02 2009 +0200

    typo

commit d5a8daab44a02c233cee3a28742157ab671a22cf
Merge: f462b34 aabc468
Author: Jason Davies <jason@jdd.local>
Date:   Wed May 27 17:13:52 2009 +0100

    Merge branch 'master' of git://github.com/couchapp/couchapp

commit aabc468717ffc8e2643fb735317d221195c7127b
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 16:16:38 2009 +0200

    update install file.

commit 26b22468ce3e3553f5c03646f83f87a1b97f2053
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 16:02:24 2009 +0200

    Say hello to ruby and rename `python` folder to src. Make appropriate
    changes in setup

commit abc1b629ee31c07d7642ac7c19f45d32a4ebe24c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 15:20:57 2009 +0200

    update ignored files

commit 608524d71383e5118051bdb14d879c2e573c4b39
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 15:20:08 2009 +0200

    fix creation of .couchapprc while cloning.

commit 7d00e9c0d6db73a93a5522af64c652eb96f6542c
Merge: 45e8e6b 49e4dcd
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 14:50:01 2009 +0200

    Merge branch 'refactor'
    
    Conflicts:
    	app-template/_attachments/index.html

commit 49e4dcd1264e221ec766803c4246c291d1331e7b
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed May 27 14:47:44 2009 +0200

    remove from last cherry picking

commit 00f67286ff80a9c55c349fc27142442246992561
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 22:48:56 2009 +0200

    error isn't critical .

commit b740e9817c0483306bc1c97ec433f752b2b5c650
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 22:36:52 2009 +0200

    another fix to init. this definitly need a test for it since I don't use
    it myself.

commit e3a65c0174abb48a3479efa8510f7f8c1416fbcd
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 22:19:45 2009 +0200

    another fix. thanks

commit 8ebedc565e422e96f29883d749e1a8a6d251e0f4
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 21:43:06 2009 +0200

    fix bug reported by andy wenk on mfix bug reported by andy wenk on ml.
    Thanks!

commit cd6334d1388c0b7c5d242e7e9e98d27b42873108
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 21:11:01 2009 +0200

    use our simplejson in couchdb client

commit 35da60d2126a3ceac3bfe26263a7b92e9e0c8119
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 19:07:22 2009 +0200

    itypo

commit 9df251c6ab65ed4a74eab07369d1ad219d64e007
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 17:44:59 2009 +0200

    chunk attachments and fix sending by setting content length.

commit 202fa676c8dd7b046c4e13f00f6fdc5fa19f1413
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 14:00:44 2009 +0200

    iall python setup.py test. suggestion from @greut on irc

commit 9bc51e3cea61f81f705136f91badc99caffdb416
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 13:52:33 2009 +0200

    use our own couchdb client for tests

commit 3b8f8f11ee41711fc8a5f26c7b94ae290ce94b31
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 12:57:55 2009 +0200

    unitests are back. Everything seem ok.

commit 63cdf8f079d6b32e386dcef22a0f2c16e0c38134
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 09:31:51 2009 +0200

    wrong import

commit 711a875818b2491b10a494bb769a88c9b72e86fd
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 01:24:22 2009 +0200

    oops smth happened in textmate. commit change in json dependency.

commit dcf0a1cbdadcb725676207f60d07e6e5f6f0cbd6
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 01:09:55 2009 +0200

    useless

commit b029b043698f7d202ac4154fda970b200fb3dcd8
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 01:06:15 2009 +0200

    batteries included. No more dependencies except python.

commit 38a7c76dc3dd1753bf60846ec96d5a7be6d3aff9
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue May 26 00:23:11 2009 +0200

    typo

commit 9ac534fff23a61fad23b60f653561b281417de47
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon May 25 23:57:52 2009 +0200

    ifix some errors & better log handling. Now log handler could be choose
    too.

commit af3f28b11ba09f179a4e7a5c511e56177e39fe85
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Mon May 25 19:06:12 2009 +0200

    major change in ui objetc. Use UI object as abstraction to fs. update
    other files in consequences. Whhile I'm here improve code and speed.
    Also fix some bugs.
    
    unittests don't work yet since the change so tests are needed.

commit a02c38ead7d27806da03f6ddb08b6ad2ba27a5e6
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun May 24 12:22:14 2009 +0200

    add missing folders in app template

commit 00bd7fd8d2ab03a970baf354ff391c4a4256d323
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun May 24 11:58:50 2009 +0200

    remove py24 compatibility. Support only py25 & py26.

commit cd867f22500f53c7e0bc01e32b5d4cb3c7ae41da
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun May 24 11:45:56 2009 +0200

    refine in_couchapp. based on binary42 change. thanks!

commit bdb9f8629ebf0a5b571e86748c86a4fb88167421
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun May 24 11:28:48 2009 +0200

    generate just application structure. Don't put any examples of code in

commit bdb46d0f767ab7db4e7d304916d80872453c1ba1
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun May 24 11:25:43 2009 +0200

    fix new location

commit 4c153c93871764730b84b74a8411142d90db0aaf
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Apr 21 19:40:13 2009 +0200

    typo

commit 94bad00385fba46f67f6e6b1ba0574ce4f34d7d7
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Apr 21 19:16:52 2009 +0200

    typo

commit 361b0b747ce2b232132614ba2ab2994939bb5a33
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Apr 21 19:02:28 2009 +0200

    parse macro in validation function

commit 523976b17af66ac3f4bdb53087e30858570726d7
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Apr 18 22:05:53 2009 +0200

    fix "too many open files" bug I just discovered.

commit 24acc9a0807a599f9e027bdd1593ff1d24773f94
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sat Apr 18 21:34:27 2009 +0200

    fix

commit 8f01ae584b7c77343de3a3032910c341fe3c949e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Apr 14 16:16:21 2009 +0200

    fix error spotted by Andy on ml.

commit eb2e5980c09b2ae5a8a6ea7ec59f4ab1b1732d33
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Mar 31 22:13:36 2009 +0200

    add test for empty app_dir while cloning.

commit d110f7c8f05ec6c73f2e9f0145d972dfd186e162
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Mar 31 22:08:42 2009 +0200

    better fix. Error was raised while doning python tests.

commit 8fa71875f179440069fad20710550503eced2f43
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Mar 31 22:01:33 2009 +0200

    fix regression discovered via rake test which hopefully worked on
    openbsd.

commit 287119c4fe152cb6ebdb665feba07c77a524101b
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 17:11:05 2009 +0100

    Revert "Merge branch 'master' into refactor"
    
    This reverts commit 237675766ef83b30b109897ff7b23e29272c3ec4, reversing
    changes made to d0f8110a285a5534072176aac31018dd7b09ff2c.

commit faab613cfab67ff664257f6d4a2813d95bd8b46c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 16:29:12 2009 +0100

    fix _popen3 on py26
    add cli tests

commit 288cfe531fcc918525ca5dadadb5f9d99bd56966
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 15:41:01 2009 +0100

     add test for ui.

commit e7b5ab70a24b6ef9c4c70e961e3d851d7868a2f5
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 14:53:42 2009 +0100

    bump for next release

commit 3e73c2ef41ee826ddccb36e41bc4ef81b9326026
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 11:57:44 2009 +0100

    start to add more tests. commit before merging changes from master

commit 31d13f919a6e4cc27400e36ddad189b7aa2fc50c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Mar 25 12:14:29 2009 +0100

    fix indent

commit db67f551b5405ad0090666574fc68a05985a86c7
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun Mar 22 19:47:39 2009 +0100

    enhance setup

commit 54f49ae4ce313f6ad54904fd2a43996b4f8f2eb0
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Mar 18 00:56:07 2009 +0100

    fix clone.
    
    started to add test. For now we test the main Couchapp object. All tests pass.

commit b835b6586cf3cc61772e7c053bdb2465cba47e8d
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 23:51:01 2009 +0100

    fix vendor install

commit 5cd5e8888c9d54006548e1d6865648a2ec2c487a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 22:58:10 2009 +0100

    fix clone. all feature are working excet hooks.

commit 1b3086e5fc7bd549f4670b19f14346877ae5d172
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 22:33:57 2009 +0100

    fix push

commit fe353f15b5f50fcd2672137f2c0c7d8a538c04d8
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 21:22:09 2009 +0100

    fix generate

commit a16622097f55eda92c75ef7a66754f360699af86
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 19:55:54 2009 +0100

    read the content if file handle. (which should be always the case.

commit 55a3d2e9c4144af7d7854f71b8b58c744f3c1649
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 19:47:57 2009 +0100

    main step done. all features are refactored. no tests yete and all probably break.

commit f0fa710daca98ab2deafc4764bb319adbe4ddc01
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun Mar 15 11:52:27 2009 +0100

    started couchapp object

commit e36bb9be4979960785674d4c8dca7b58505d2132
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Mar 12 01:33:35 2009 +0100

    commit first bits of refactoring:
    
    - extracted vendor and configuration management
    - extracted css and js compression in external scripts. They will be used by hook system.
    - some fixes
    
    unitests are mostly done. Need to finished file_manager refactoring first and adding hook system.

commit 45e8e6baad1e097d16ec484b7163304124ba0768
Author: Jan Lehnardt <jan@minil.(none)>
Date:   Fri May 22 17:11:12 2009 +0800

    add -U fix for leopard
    
    Signed-off-by: couchapp <bchesneau@mac.com>

commit a3b646655280c3feaf8b4121bf1cbd2b17c30625
Author: Jan Lehnardt <jan@minil.(none)>
Date:   Fri May 22 11:11:12 2009 +0200

    add -U fix for leopard

commit 8b6b30997816bae1255c3e035851b8e6edb5e4c7
Author: Mike Beachy <beachy@kuhns.(none)>
Date:   Thu Apr 30 10:05:37 2009 +0800

    add a test
    
    Signed-off-by: Benoit Chesneau <bchesneau@gmail.com>

commit fcc8bf2cc224b4b846b989c5a3b7bb62f63a21a1
Author: Mike Beachy <beachy@kuhns.(none)>
Date:   Thu Apr 30 09:52:25 2009 +0800

    add some dummy files for testing in_couchapp refactor
    
    Signed-off-by: Benoit Chesneau <bchesneau@gmail.com>

commit 96e72aad31600c39c53f30b2dc7a9515b8f8ad3b
Merge: 70a2588 4afb67c
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Mon May 11 16:17:51 2009 +0200

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 4afb67cc7126fac1b118c4238f16f5519cba977a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 17:19:21 2009 +0100

    Revert "Merge branch 'master' into refactor"
    
    This reverts commit 237675766ef83b30b109897ff7b23e29272c3ec4, reversing
    changes made to 1d6b96a0535364c61b356d68e08161581339603f.

commit d6356112cdad221372f4902fd1e3933d80edd7ed
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 17:11:05 2009 +0100

    Revert "Merge branch 'master' into refactor"
    
    This reverts commit 237675766ef83b30b109897ff7b23e29272c3ec4, reversing
    changes made to d0f8110a285a5534072176aac31018dd7b09ff2c.

commit 237675766ef83b30b109897ff7b23e29272c3ec4
Merge: d0f8110 1d6b96a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 16:50:18 2009 +0100

    Merge branch 'master' into refactor
    
    Conflicts:
    	python/couchapp/file_manager.py
    	setup.py

commit d0f8110a285a5534072176aac31018dd7b09ff2c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 16:29:12 2009 +0100

    fix _popen3 on py26
    add cli tests

commit 09fbd5796a10ec92bde2c8b492691d142dcf4646
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 15:41:01 2009 +0100

     add test for ui.

commit cf68a12dd5c0b986f3a53f4346b0b70bd9aac976
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 14:53:42 2009 +0100

    bump for next release

commit 70a25885fe3455e098aedb757c6dda9c0110d587
Merge: dd9d5c8 1d6b96a
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Fri Mar 27 13:41:06 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit f462b343963346323deb31ea8ec3b07ce09968e5
Merge: 9416f89 1d6b96a
Author: Jason Davies <jason@jason-daviess-macbook-pro.local>
Date:   Fri Mar 27 12:23:28 2009 +0000

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 1d6b96a0535364c61b356d68e08161581339603f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 12:19:05 2009 +0100

    fix script. create vendor _attachments in right path

commit 3e5333b0bd4ff888fcf946ef6c7df2884eb93360
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 12:10:14 2009 +0100

    update setup version and fix index.html so it don't send null.

commit 59b2162a463b7f37f4a18afb35727e55fd6e3c05
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Fri Mar 27 11:57:44 2009 +0100

    start to add more tests. commit before merging changes from master

commit 85b9aaf3397e0e3c56f86a4f286b1562a935a684
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Mar 25 12:14:29 2009 +0100

    fix indent

commit 296f5c0e1734a14491507368d99b9b9226e80471
Author: Chris Anderson <jchris@grabb.it>
Date:   Wed Mar 25 11:35:24 2009 +0100

    add view function to couchapp app

commit dd9d5c8e096eef240c7b1503cbd90f2e28b0dc02
Merge: 0378ca2 3652065
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Wed Mar 25 11:23:28 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit 3c2340e91156e7116dff1d357f4f22c19215755a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun Mar 22 19:47:39 2009 +0100

    enhance setup

commit 8fd175f8b982f635c710d260abb1cfc9d151e6a5
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Wed Mar 18 00:56:07 2009 +0100

    fix clone.
    
    started to add test. For now we test the main Couchapp object. All tests pass.

commit 03dfb231bf36eebf68cc03df33250c7165cedc24
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 23:51:01 2009 +0100

    fix vendor install

commit 7da2d5bfb6102b11e3d787f6e342939221fc738a
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 22:58:10 2009 +0100

    fix clone. all feature are working excet hooks.

commit 548e1a8ec61022eb08760e155eaeecffcdeccd66
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 22:33:57 2009 +0100

    fix push

commit be74c054f6de81cff0c7f4a75bec0114c72d3d3c
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 21:22:09 2009 +0100

    fix generate

commit fdf0975ad1934e81512b902910d2ee591ba494fb
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 19:55:54 2009 +0100

    read the content if file handle. (which should be always the case.

commit c734143903200b16d3c22a4af18069b96b04bc38
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Tue Mar 17 19:47:57 2009 +0100

    main step done. all features are refactored. no tests yete and all probably break.

commit 0378ca215f191929bf37adf01eec846e54bb1fa2
Merge: f52cc1a ddbb9a9
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Sun Mar 15 18:16:17 2009 +0100

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 7f67193edb253f42ed3688c0b3ca10c3eb68bb3f
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Sun Mar 15 11:52:27 2009 +0100

    started couchapp object

commit 36520652dd987b368310cb92b25e3e18533d538f
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Mar 14 21:42:22 2009 -0700

    slug func

commit 7b29c74909a092bae1cd284aaa32b95d380054d1
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Mar 14 21:42:12 2009 -0700

    undeclared var fix

commit 4242cc5bff5eb0b6f7fb6e46ec6123283183651e
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Mar 14 21:29:06 2009 -0700

    fix showpath

commit 24758366a19c6844faacd6f1fd7ed84fb5659c25
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Mar 14 21:21:28 2009 -0700

    move jquery.couchapp.js to vendor

commit 9416f89bd9d389bbdd6b496fa62cab52e8b7c231
Author: Jason Davies <jason@jason-daviess-macbook-pro.local>
Date:   Sat Mar 14 10:23:17 2009 +0000

    Minor grammar fixes.

commit fa0ffc69832fc8eb7ff921d950ab525e968aadba
Merge: 8b4bf0d ddbb9a9
Author: Jason Davies <jason@jason-daviess-macbook-pro.local>
Date:   Thu Mar 12 23:30:49 2009 +0000

    Merge branch 'master' of git://github.com/jchris/couchapp

commit 8b4bf0d05f07ba168a017cd69e39de6daaa249b2
Author: Jason Davies <jason@jason-daviess-macbook-pro.local>
Date:   Thu Mar 12 23:29:25 2009 +0000

    Merge some changes.

commit a714abcfb73e9169aa38fe41e9693a39256d4abf
Author: Jason Davies <jason@jason-daviess-macbook-pro.local>
Date:   Thu Mar 12 23:24:14 2009 +0000

    Include validate_doc_update when processing macros.

commit b573f947d3f39c09c392553c20ed0328531d1894
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Mar 12 01:33:35 2009 +0100

    commit first bits of refactoring:
    
    - extracted vendor and configuration management
    - extracted css and js compression in external scripts. They will be used by hook system.
    - some fixes
    
    unitests are mostly done. Need to finished file_manager refactoring first and adding hook system.

commit ddbb9a9ab9d9f4df702fb7d4e2645afd5e6e0d36
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Mar 10 13:14:15 2009 -0700

    renamed readme because I love github so much

commit 44db1dacad001fbb8fce56c749eaa0412a8dc895
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Mar 10 12:47:47 2009 -0700

    verbose=1 message about vendor updates

commit 582f0329ac48442c17d9b8e70ae09e3013ac8616
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Mar 10 12:42:16 2009 -0700

    changed to my github url

commit 06d0bcf8ec9e458125475d6a8500366fde445c45
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Mar 10 12:41:27 2009 -0700

    added Sofa couchapp helpers to vendor

commit 7ddbc9d2c61978c3e8ced9d483eef3f1dd4d1874
Author: Jason Smith <jhs@proven-corporation.com>
Date:   Wed Mar 11 01:33:28 2009 +0700

    No need to do environment processing in a try block

commit 173541cc0d34c6623098fffe0d99af746ab739c8
Author: Jason Smith <jhs@proven-corporation.com>
Date:   Wed Mar 11 01:18:06 2009 +0700

    Allow environment variables in the app's .couchapprc file (but not in user's home directory)

commit 1dbb483e413eddb3eb9a4841ba0cf4e9323523d4
Author: Chris Anderson <jchris@grabb.it>
Date:   Mon Mar 9 21:08:01 2009 -0700

    better index link for new thing

commit 947429836f9b765ed97ad73df1d8b8ee623da146
Merge: 3fd45df 97110d7
Author: Chris Anderson <jchris@grabb.it>
Date:   Mon Mar 9 14:24:22 2009 -0700

    Merge branch 'rel'

commit 3fd45dffd413b472c2037a3a17931df0c433e2f8
Merge: b013a1f 9c6526e
Author: Chris Anderson <jchris@grabb.it>
Date:   Mon Mar 9 14:23:16 2009 -0700

    Merge branch 'benoitc/master'

commit b013a1fe40271f6768a2190bd725b432fba938b2
Author: Andy <andy@al.(none)>
Date:   Fri Mar 6 03:29:04 2009 +0000

    some small fixes to README.md

commit 9c6526ed9cba689791b480bdcaca1b7f7d7aee5e
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Mar 5 13:53:53 2009 +0100

    new release

commit 7664366c0167ddfeb0c9c16a6166d8944457bac4
Author: Benoit Chesneau <bchesneau@gmail.com>
Date:   Thu Mar 5 13:42:59 2009 +0100

    fix unicode encoding. bug spotted by jasondavies, thanks!

commit e0ef4bed080523edc01524524df15471459f60b1
Author: Jason Davies <jason@jason-daviess-macbook-pro.local>
Date:   Wed Mar 4 23:28:30 2009 +0000

    Fix encoding problem.
    
    This was occuring when minifying utf-8 data.

commit f52cc1a0b9afc8223b9ca27de4d7707ca907d0f2
Merge: c78f236 bdad46a
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Wed Mar 4 12:25:07 2009 +0100

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit bdad46acc0a7dcb3f2eab1e95e9fb042a90a28bb
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Mar 4 11:31:39 2009 +0100

    this message is better.

commit ac1e2c9cb2123e1f009d988e28030f47782eb8ab
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Mar 4 11:25:58 2009 +0100

    fix distribution file. Now git.sh should be correctly added to data files and permission is set. (add to monkeypatch the easy_install.process_distribution function for the latest **sigh**)

commit cd0d5fd097841ed20313f0d047425e763054a17e
Merge: 5d48e2b 97d52c1
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Mar 4 09:41:19 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit 5d48e2b7f23cffb0a2f587b8aac53a8005a9e86e
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Mar 4 00:52:54 2009 +0100

    need sleep. Now it use user_conf...

commit 97d52c1c512985cc42790fada28b27a53f0303bb
Merge: 55ee383 9b6feca
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Mar 3 15:49:46 2009 -0800

    Merge branch 'benoitc/master'

commit 9b6feca10877eb00edbca6cd96e627f57e9c54c7
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Mar 4 00:43:42 2009 +0100

    typo

commit 55ee3837e8c0fbbff969fd36b2ef9a2b57bd4bf1
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Mar 3 15:35:27 2009 -0800

    add vendor info to readme

commit 97110d7a998dc81d05eea7a186cea5f97468a52c
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Mar 3 15:35:11 2009 -0800

    change index for rels

commit 0a964bd36f88a5d08e61c003545ab4bb99f87cff
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Mar 4 00:17:15 2009 +0100

    allow user to add its own vendors' handlers scripts. To do it simply add in `~/.couchapprc` a vendor property. For example :
    
    {
      "vendor": {
        "hg": "/home/user/myscripts/hg.sh"
      }
    }

commit 82dac749e1105775eea60b9f7cdb8b6919381574
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Tue Mar 3 23:51:07 2009 +0100

    better management of different scm. By default git is used when you do `couchapp vendor install someuri`. If you specify option --scm it will use it if it exist. While I'm here fix git.sh so only folder are copied in vendor and mark them as new by adding ".new" file in the folder. For example :
    vendor/couchapp/.new
    
    where content of ".new" file is 'git://github.com/benoitc/couchapp.git' . This file is now use by couchapp to create the metadata used for update.

commit c78f236e5a372bb78987ccf3413e5aaa9282e3ff
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Tue Mar 3 20:49:03 2009 +0100

    remove couch-wiki from example app list

commit dc89f7defda97842eedbf08226ea9aed85bbd2b8
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Tue Mar 3 20:45:00 2009 +0100

    add charset meta tag to fix utf-8 problems

commit 67a28c52eff2234720489aaaaf300c64aac11db5
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Tue Mar 3 20:44:36 2009 +0100

    remove foo folder

commit 00cb05cbb22ee560f3d0c8ddb31488954ba6eaa7
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Tue Mar 3 02:57:00 2009 +0100

    add some comments

commit 1151c78a6166465fd4db7874cab49373b637b3eb
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Tue Mar 3 02:45:57 2009 +0100

    handle vendor update and install from a git repository. Each vendor app should be in a vendor folder :
    
    vendor/appname
    
    To update vendor folder in your couchapp :
    couchapp vendor update [app dir]
    
    ex :
    couchapp vendor update
    
    To install a vendor app :
    couchapp vendor install git://somerepo [app dir]
    
    ex:
    couchapp vendor install git://github.com/benoitc/couchapp.git

commit bae40ac290d951b5b561cc37d952c1b4303eecc4
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Tue Mar 3 01:54:14 2009 +0100

    start to add vendor handler mangement. each handler is managed by a shell script

commit 0331aa6d828a6927889782df4a15a48cf37c8f2b
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Mon Mar 2 22:33:49 2009 +0100

    manage userconf. You could now have .couchapprc in your home folder.

commit 75c41d460a6ec2ee1e0ee0a6e569a4e27e53754e
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Mon Mar 2 21:08:13 2009 +0100

    manage vendor folder. For now it manage couchapp vendor from the egg or source dir only.
    
    So couchapp generate will add this vendor folder.
    couchapp push , push vendors attachments in from vendor/X/_attachments to _attachments/vendor/X
    couchapp clone put attachments in the right place, ie : _attachments/vendor/X to vendor/X/_attachments.
    
    couchapp update-vendor is coming.

commit a47b86cecbd487478574a3d213900c1219239a88
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Mon Mar 2 18:14:07 2009 +0100

    hangs when there is no files matching pattern given in !code and !json (with _attachments in !json)

commit aa420d74eeef22cdb1584122af21a3b8728004d4
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Mon Mar 2 17:41:45 2009 +0100

    handle glob to include files from _attachments with !json

commit fbedd211623fe3237c10b2b0398003df6f55f9ab
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Mon Mar 2 17:22:42 2009 +0100

    handle globe in !code

commit 35ea369682f4c7604f3954728d3b182db182cbce
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Mon Mar 2 17:04:53 2009 +0100

    don't hang just print error in verbose level >= 2

commit caf7148d425a4c0e166566979d268aaf7d0a8430
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Mar 1 22:49:15 2009 -0800

    got the tests to use the new !code path/to/file.ext format

commit 47e514aad5667e16139397a828efdb3a4a8b1f39
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Mar 1 22:13:26 2009 -0800

    change !code macro to use file paths

commit 0c40ba62a4719a4b2f8f5f34fe83d5ff5c202bb2
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Mar 1 20:13:55 2009 -0800

    error handling when missing files in the !code macro

commit cc366ad13708f146819c16484a0d29f5b268495e
Merge: dec53bd ae5699c
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Feb 28 10:19:30 2009 -0800

    Merge commit 'ae5699c8eadb70f979e7e26417440397c92089ef' into mp

commit ae5699c8eadb70f979e7e26417440397c92089ef
Author: Colin Curtin <colin@procore.com>
Date:   Thu Feb 26 20:05:02 2009 -0800

    Second shot at help text with more pythonic conventions :D

commit dec53bddf0725419b65b5da25c8dce9f2a4dc4ab
Author: Chris Anderson <jchris@grabb.it>
Date:   Wed Feb 25 09:55:34 2009 -0800

    add _attachments include info to the readme

commit 54b2b6aa2dc998b545fa6c71ff0a80d609b9be49
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Feb 25 10:28:32 2009 +0100

    version.

commit bb42ac751f6ce95a2dc71af45e48cf824a2e08da
Author: Benoit Chesneau <benoitc@enlil.local>
Date:   Wed Feb 25 10:16:48 2009 +0100

    !json and !code now work agains _attachments/ .
    
      // !json _attachments/file.ext will create the variable _attachments['file.ext'].
      // !code _attachments/file.ext will include content of the file
    
    For anything but _attachments, the include should use ".", so this change don't break
    the current behaviour. Duplicate property name (two files with same name but different extension)
    now print an error in verbose level = 2.
    
    While I was here I fixed the setup by removing the version requirement of simplejson. Simplejson >2.0
    need setuptools > 0.6c7 but osx 10.5 use 0.6c7.

commit 24255b989fa1defd8a6186c7f56b484561df880a
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Feb 22 18:11:47 2009 -0800

    deleted the gemspec detritus

commit 1a24b226e1e9921983d375afec6757a331fb409a
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Feb 22 18:09:33 2009 -0800

    updated python installation instructions

commit 2818798e928391675f62560a7e8dd2499cde3f59
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Feb 22 18:05:34 2009 -0800

    updated readme to reflect dropping ruby

commit fbd52031485ef8e9b11ae378c921028e99a0c6ff
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Feb 22 18:03:38 2009 -0800

    removed the ruby version. bye bye

commit b341c03ea17ea34e3def5296a523744187cfc466
Merge: 0a32193 9336982
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Feb 21 13:29:31 2009 -0800

    merge benoitc

commit 93369828201f47a76e58a8353a11b0fb7dc2c747
Author: benoitc <benoitc@pollen.(none)>
Date:   Sat Feb 21 22:13:00 2009 +0100

    per request add verbose level

commit 0a321932e78c161d04856cf5e92eacf01a93bfc1
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Feb 21 13:08:44 2009 -0800

    move index to couchapp.index

commit 4311d69c99ba481cc20108380300b7581db3d3e0
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Feb 21 12:27:56 2009 -0800

    print link to application on push

commit b57a5927604ffe9279ee4f435ef35a488450a7a1
Author: benoitc <benoitc@pollen.(none)>
Date:   Fri Feb 20 17:50:49 2009 +0100

    fix install on osx 10.5

commit 75af26465b5c76ecb61219186cbe1f72f1efb914
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Feb 20 15:32:29 2009 +0100

    hopefully it fix setup

commit c66b659702aa5309098b527b1d339219d40d194f
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Feb 19 10:29:26 2009 +0100

    be more verbose

commit 0547af91b15399000f03b2e5eb9d6e81243a4091
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Feb 12 19:17:03 2009 +0100

    bytestring in md5

commit 09758f12fed24ff8193ff4d28fc0ae318ff67378
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Feb 10 17:58:36 2009 +0100

    typo

commit a5edaf01121fd9d9220f95bccab0f37c476769e2
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Feb 10 17:50:01 2009 +0100

    don't hang when there is a unicode decode error.

commit 6d8b307c5e9ce79a665e66aeab396578b940ff2e
Merge: 18df01a d83c103
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Feb 10 17:49:52 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit d83c103711f351afe38f8f5a286e4c1ca64803fc
Author: jchris <jchris@grabb.it>
Date:   Fri Feb 6 12:30:23 2009 -0700

    added portability blurb to top of README

commit 18df01ab481687a6e2dd1aa4cd63c72092cf3101
Merge: bda7196 52c809d
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Feb 3 22:10:31 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit bda719615183b1c5c8bb32a4476daf7298157f22
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Feb 3 22:09:39 2009 +0100

    c.

commit 52c809d70bc880f76e46d68cbf13fd1b0020141f
Author: Chris Anderson <jchris@grabb.it>
Date:   Mon Feb 2 21:47:51 2009 -0800

    down to 9 failing specs on the ruby side. catching up with couchapp.py

commit 8b942e985384c63d5eeefe591994c6bee450f37d
Merge: 42a3dde 5e4432b
Author: Chris Anderson <jchris@grabb.it>
Date:   Mon Feb 2 00:41:02 2009 -0800

    Merge branch 'benoitc/master'

commit 42a3ddeaa3271c1fc744bccfcd041466ba66d08a
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Feb 1 21:33:11 2009 -0800

    readme reorganization

commit 6735ae0c3b89d599d4cc815ba3386631a0408ed5
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Feb 1 21:27:15 2009 -0800

    updated readme

commit 5e4432bc47844e083de0512a61134916257f5ef7
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Thu Jan 29 01:09:43 2009 +0100

    typo

commit 8aa77bf2334b162762787ccdb9b031c8cc38df1e
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Wed Jan 28 16:32:03 2009 +0100

    add --disable-css and --disable-js options so we can disable css and js
    compression when it's needed.

commit 866e6acfca699f825822004666a6c8335df60b79
Author: benoitc <benoitc@pollen.(none)>
Date:   Tue Jan 27 19:33:00 2009 +0100

    make sure we write in utf8. Error detected on linux.

commit f451829ed78ae20bcb1ef1639e4589307f4e0f08
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Jan 27 11:18:30 2009 +0100

    0.1.9a release. fix

commit 86d4c103b12b5f31ea7e9d3a5f12be31cfa2ac43
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Jan 27 11:12:24 2009 +0100

    Just display error in stderr instead of an ugly python tracce, when json loaded is invalid

commit d4035845b6962ad929cb1667430bc45b2e0aa04d
Author: benoitc <bchesneau@gmail.com>
Date:   Tue Jan 27 10:49:07 2009 +0100

    fix KeyError spotted by jason______ on irc.

commit 18b5bf431303e95791e04d4e9510746eea94913a
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 18:28:31 2009 +0100

    read files as unicode.

commit 049c7f3c1b636eee9a55839e66a23c06743035ca
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 11:52:04 2009 +0100

    fix setup so we include all files

commit c0fa5f38d59edb54c8be63c844e3b0ee0508778a
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 11:42:27 2009 +0100

    0.1.9 release

commit 8ee55f6b428c86cd2c1e578c9bce9467e578801c
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 11:28:31 2009 +0100

    objects refs are only created against string.

commit 86c7023b015f820d5c0054b0096954bb0a0a0007
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 11:22:30 2009 +0100

    ad yuicompressor to js compress backend.
    
    You could now set js_compressor to "couchapp.utils.yuicompressor" if you
    want to use this compressor.

commit 5dc6b33cfd51b3116add394990ee88281d5513f6
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 10:41:09 2009 +0100

    add js merge & compress management

commit 5ba6e964d90943b53bcf77450c90dfb5a32c7e07
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 09:20:01 2009 +0100

    comment

commit e965ea392b78a82804bd14ef2677e268aadfcc7e
Author: benoitc <bchesneau@gmail.com>
Date:   Mon Jan 26 09:12:46 2009 +0100

    Allow merge and compression of css. To do it add to "css" key to
    couchapp.json :
    
    {
      "css": {
        "path/to/destination_file.css": [
            "relative_path/to/file1.css",
            "relative_path/to/file2.css
        ]}
    }

commit 11dcb5ed72831e13a00771a2a51595c50ab1c2bf
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 23:23:36 2009 +0100

    remove 'manifest' and 'objects' from content we get in couchapp.json or
    from couchapp/ these data are private.

commit 11a35b0c37eedd7a94463602832980f78f467c14
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 21:51:49 2009 +0100

    0.1.8 release

commit 7ced95fc996b07acfbb7365168866f7fb47b4b3c
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 21:02:21 2009 +0100

    last fix... Works now.

commit f99350a1f5821ceeab4163845084d3836d98a953
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 20:58:39 2009 +0100

    ok this time really make sure self.objects is set. More cofee needed

commit dc5a4aae9903a82f0a1622a7958d28b2a7332e61
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 20:56:15 2009 +0100

    Revert "really set "objects" attribute"
    
    This reverts commit 400b4d9eee33695411b9281ffc307777b1c2055a.

commit 400b4d9eee33695411b9281ffc307777b1c2055a
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 20:47:32 2009 +0100

    really set "objects" attribute

commit 064caf6d4a2a7b28ed831342b34f6866e5263f62
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 20:42:16 2009 +0100

    make sure self.objects exist

commit 8711d769650887a22260eb017fe50b850ad5cf71
Author: Chris Moyer <cdmoyer@mcquak.local>
Date:   Sat Jan 24 13:06:47 2009 +0800

    Change git clone URL to the public URL.
    
    Signed-off-by: Benoit Chesneau <bchesneau@gmail.com>

commit a1b2a3550073d2a5e0bdde7ff239bc2e7e0d0f79
Author: Chris Moyer <cdmoyer@mcquak.local>
Date:   Sat Jan 24 14:39:42 2009 +0800

    Fixed 404 style in app template
    
    Signed-off-by: Benoit Chesneau <bchesneau@gmail.com>

commit d306f38df7b679b5a24d8569cc5b703b801e366c
Author: benoitc <bchesneau@gmail.com>
Date:   Sun Jan 25 20:21:12 2009 +0100

    We now store none parset version of views/shows & lists.

commit b2529d1c45d20e60fb61be3c84abe61b9bfb45ac
Merge: ebf8f6d 9b18482
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jan 24 10:11:40 2009 +0100

    Merge branch 'master' of git@github.com:benoitc/couchapp

commit ebf8f6db0503cf00a24a4a5677be27dcbce1a08d
Merge: 140487f 8d40c16
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jan 24 10:10:33 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit 8d40c16c2986d5a07c68aa262db7e74a716557fb
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 23 23:01:31 2009 -0800

    fix gemspec push ruby 0.1.7. thanks cdmoyer

commit 6867b19d0784b234c509303e71016a28850ff678
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 23 23:01:01 2009 -0800

    fix gemspec push ruby 0.1.7. thanks cdmoyer

commit 9b18482cf6ce1e445a80baadfb7df350278fa096
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Sat Jan 24 00:54:09 2009 +0100

    Catch exception so we could print a message without ugly trace.

commit 140487f4fa541b6df86830e16480f9ccc18cd905
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jan 24 00:25:12 2009 +0100

    typo

commit f054b3fe9ce1e1d7acb549e477e914654b2d7352
Author: benoitc <bchesneau@gmail.com>
Date:   Sat Jan 24 00:13:32 2009 +0100

    Fix issue with httplib that raises BadStatusLine error because
    it didn't close the connection. Fix based on suggestion
    from deanlandolt on irc

commit 72c0bfc096c191ebf006e64ffef5019558213b50
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 23:52:26 2009 +0100

    add -v option. By default couchapp is now quiet but print messages to
    stdout if this option is used.

commit a0a5bb133a74068f465658e82564e1c069224b56
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Fri Jan 23 21:36:08 2009 +0100

    0.1.7 release

commit f3c022f2896cf0bf56a10ec3f7f47a23f91b7115
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 18:09:12 2009 +0100

    "app_meta" -> "couchapp"

commit 1a0ee847cf142e9d31acbcef7a53719873e0256f
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 12:19:28 2009 +0100

    apply api changes in the case where manifest is missing

commit f7fe99425e1059165e6f84fd107b4d3414dce218
Merge: 770d8c6 9e1a955
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 10:46:40 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit 770d8c6a109fab5a224721863bbf41eead92d660
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 10:37:58 2009 +0100

    make the code more simple

commit 9e1a955ba968ff7a1b14433a3b8b9220e56c7e0e
Merge: 97fae1f a56dab6
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 23 01:23:48 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit a56dab6db77ce82b8d75a20d89332de0d46475a2
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 10:23:33 2009 +0100

    fix test

commit 97fae1fc1a406bf8816fe4f84025608c58e3e57c
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 23 01:23:07 2009 -0800

    release 0.1.6

commit 8f8e78f5f911ab53dfb369b5e87b7e842da99466
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 10:21:29 2009 +0100

    edit test

commit 8d8180df6d84d48e8087683d05cb058fdb768900
Author: benoitc <bchesneau@gmail.com>
Date:   Fri Jan 23 10:19:17 2009 +0100

    remove  file extension from non attachments for easy use in javasript.
    spotted by jchris on irc.

commit 3b707b20a31f7b37c2de6201d272b83f6287dcb8
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 23 01:11:22 2009 -0800

    got ruby version passing shows and lists tests

commit a8b0ebf88e44286f0a7d9042b4235a4307838379
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 23 00:55:57 2009 -0800

    python couchapp failing a file name spec

commit 9ea2d742bf7f8df16f6221e23ac0d228cea64f6a
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 23 00:29:58 2009 -0800

    python version works with new couchdb design doc layout

commit 0d6e3a8925c387bdcb0b35a4d9f4f527e2bc1eeb
Merge: 6bf5508 956e7c8
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 22 23:32:42 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 956e7c8fa5ac112b00a94462887e1ee0bafe4676
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Fri Jan 23 01:43:44 2009 +0100

    handle couchapp/ and couchapp.json to add public metadata of and
    application.

commit 9580ceb34e2af3ce8cc46c52dc4798714310fcf9
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Fri Jan 23 00:20:05 2009 +0100

    put signatures in app_meta key.

commit c6e8dd95cc73e1e6cfececb949c5d72042358ecc
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Thu Jan 22 23:51:26 2009 +0100

    use .couchapprc rather than .couchapp/rc.json

commit 7937e2fb58eada608146a9c6401a8f0c07da6d29
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Thu Jan 22 23:17:34 2009 +0100

    ignore attachments starting with "."

commit 6bf55081cbfb1815f9e53bd999bbed320f427e6e
Merge: 7f99404 ed6ba79
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 22 11:30:10 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit ed6ba797399acf0998c30ba7f40152b482caf177
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Jan 22 20:09:39 2009 +0100

    oo fix path

commit ead15ed9a3110f44638bba9299f6b973e1304061
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Jan 22 20:06:23 2009 +0100

    reflect name change of couchapp script in source. While I'm here add
    PYTHONPATH so you could run tests without installing couchapp.

commit 778d058731f437469010dad794e9428b2bde6907
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Thu Jan 22 19:35:49 2009 +0100

    useless lines

commit 7f7146acffc23cb3205420b94d061c215a4f4f11
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Thu Jan 22 19:30:37 2009 +0100

    remake MAKEFILE.in to include templates & license stuff in source.

commit b34c61a5650f5ef543224755597f9a716cf505a3
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Thu Jan 22 19:18:31 2009 +0100

    fix setup.py so you could now do `python setup.py develop`

commit 7f99404f05aee2f12f62f11da23f438f51ce6a7a
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 22 09:24:20 2009 -0800

    updated app template with better docs

commit 198a624e2c225ec6eedfcbe004ecc18e1f8b4254
Merge: 2099eb6 6423583
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 22 09:19:45 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 6423583e2aa855dccf7a9c4e9b317eb26db7970d
Author: benoitc <benoitc@enlil.nymphormation.net>
Date:   Thu Jan 22 15:27:22 2009 +0100

    fix bug spotted by osimons on irc.

commit 6ec27266ca592ac357e535a6d574a7daccf6d5e1
Author: benoitc <bchesneau@gmail.com>
Date:   Thu Jan 22 00:53:25 2009 +0100

    add possibility to set default db with --db options when you run
    couchapp init.
    
    For example :
    couchapp init --db=http://127.0.0.1:5984/blogdb

commit a4d2ffd301de3c74aff0e958d9cfedbc9b00733e
Author: benoitc <bchesneau@gmail.com>
Date:   Wed Jan 21 22:23:03 2009 +0100

    fix setup.py so couchdb is correctly installed

commit 240b22d0b078951b7d1f0df70156b6e2041a530f
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 19:32:04 2009 +0100

    fix setup.py dor pypi.

commit 8d8b6b5af35a527a71321c7cef4c580529a720d3
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 19:00:41 2009 +0100

    wait 400ms between attachments so we are sure that couchdb answer
    correctly. It's needed on openbsd, you get httplib.BadStatusLine
    without it.

commit 2099eb659b2124af4f98bb7edf4c32fce323c00d
Merge: e1a5812 47d4a86
Author: Chris Anderson <jchris@grabb.it>
Date:   Wed Jan 21 08:31:21 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 47d4a86b4f3bd4f0f0707b98cc6d6a03f8427166
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 15:57:59 2009 +0100

    add unittests for "clone" action. Fix a bug raised by tests.

commit d809b422c5ba4995ae4f9fbe390406cea5e7dbbe
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 15:10:15 2009 +0100

    fix bug, manifest wasn't added during first push. Add unittestto test if
    manifest is created.

commit ff67569956439ef836cf9c4578cbf4584e830301
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 14:46:53 2009 +0100

    remove more code duplication

commit 7b5d9cdc849a8bfb28366f135a69efd0b47daf80
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 14:15:35 2009 +0100

    fix rc_file handling while cloning an app. Add "origin" db to env so you
    could update the origin if you have rights.

commit bddc003935466115b3113e39de0b2b3af4c2028d
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 14:09:14 2009 +0100

    improved clone/pull action. Now changes added in design doc that arre
    not in manifest are applied. In the same time fix some errors.

commit 5b8d118000e2cb9f4592622e2187e5a2633f9274
Author: benoitc <benoitc@e-engura.org>
Date:   Wed Jan 21 08:39:24 2009 +0100

    remove code duplication

commit e1a58127b5d72e15b8d8eb86050b7f90c278660a
Merge: f4cf261 04f9e14
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 20 15:02:09 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 04f9e145ba910a987314c0f8b8082c061b59d077
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 23:42:38 2009 +0100

    more functions in utils

commit 3429d181600388d94cb020dbecea3420bac73e94
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 23:38:46 2009 +0100

    little refactoring

commit 447f72b5e9d817c7537516b1c4953095ab2d41f1
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 23:33:24 2009 +0100

    auth is now working with clone too.

commit f4cf2610c1a583cb62210b5dcb30bc9b9c904a67
Merge: d9b2c17 8e823e8
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 20 14:17:35 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 8e823e8bfb1b8cc81a55900ff611e825212555c7
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 23:10:07 2009 +0100

    ishould fix pb when usin couchdb-python from svn

commit e1eb361c6beab03f5b177002561bc21b4fbeb32d
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 22:36:04 2009 +0100

    manage authentification waiting proper patch in couchdb-python

commit d7bd9c552da56d1b1f5b40a295a9f1acf9044eb9
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 22:23:17 2009 +0100

    remove unused function

commit d9b2c1745e75bdd31b14266834649771366d5a07
Merge: 0e2d1bb 8b1ba59
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 20 12:55:46 2009 -0800

    Merge branch 'master' of git://github.com/benoitc/couchapp into benoitc/master

commit 0e2d1bb2b93573aeb1f343fb998c8d9b79a56aaf
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 21:33:43 2009 +0100

    add macro handling and pass tests in rake python \o/

commit 61a04fded5144ccf1422ab950b03393cb6a0bb9c
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 20:11:14 2009 +0100

    binary read.

commit 20aed92b3dc4e300463fbe5cf193aede6287e8b1
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 19:40:50 2009 +0100

    fix case if args[1] == "." when you are in couchapp folder

commit 3ca2857fe9f3b8ca49c5500935201de091a50829
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 19:27:33 2009 +0100

    fix version string

commit ff8affd50f1a05daca59dcc44063c608691cd480
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 19:09:52 2009 +0100

    fix clone features. Now if you update an existing couchapp, it's
    completly resetted

commit 26648bd109893c6b8e1ac243deb0815f317c1f0e
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 18:23:58 2009 +0100

    fix couchapp dir so you could make couchapp push everywhere in a
    couchapp flder (it will detect app path)

commit 7520f4dbec58f9a690910a4a65da9e151315af11
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 18:15:54 2009 +0100

    New managements of dbs from configuration files related to the
    discussion on ml.
    
    Now a configuration file could be like this one :
    {
        "env": {
            "default": {
                "db": "http://127.0.0.1:5984/testing8"
            },
            "dev": {
                "db": [ "http://127.0.0.1:5984/testing9",
    "http://127.0.0.1:5984/testing10" ]
            }
        }
    }
    
    default db is in env.default property,
    
    you could setup other environnement like dev. a db key could be a string
    oor a list. A list allow you to push on different db in one pass.
    
    So now push command is like this :
    
    in a couchapp folder :
    `couch push`will use default deb to send the data
    `couch push dbstring' will send to dbstring env or if no env with this
    name is found it will send to http://127.0.0.1:5984/dbstring
    `couch push appname dbstring`
    
    above acouchappfolder command is :
    
    ccouchapp push folder [appname] [dbstring]
    dbstring could be a full uri to the db or an environment key or just
    name of db (in this case it will send to
    http://127.0.0.1:5984/dbstring). If it's not provided it will try to
    send to default deb if it has been defined

commit 0104400ad1f92d9b9c62a348a5bd5af3b216f1d9
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 00:38:48 2009 +0100

    fix, line have been rmoved while doing some changes.

commit 8b1ba59ccdce44e24f2a7bb82a7cd8faffdf7012
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 21:33:43 2009 +0100

    add macro handling and pass tests in rake python \o/

commit 34b65585dc62f5bcd08d7f2d4128ca0448b65388
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 20:11:14 2009 +0100

    binary read.

commit 6738704e7d8707efbe7430fd2244e45096594630
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 19:40:50 2009 +0100

    fix case if args[1] == "." when you are in couchapp folder

commit 70910025198e80d4047136d40ef8c775d7844bc6
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 19:27:33 2009 +0100

    fix version string

commit 5681fcaaad6a4d62491ba7947f24eadbebd7fd03
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 19:09:52 2009 +0100

    fix clone features. Now if you update an existing couchapp, it's
    completly resetted

commit 01a99f7b095517b3933433d299a1627964e5b789
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 18:23:58 2009 +0100

    fix couchapp dir so you could make couchapp push everywhere in a
    couchapp flder (it will detect app path)

commit ca6068504c251525031aa242c8dc68d39100d915
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 18:15:54 2009 +0100

    New managements of dbs from configuration files related to the
    discussion on ml.
    
    Now a configuration file could be like this one :
    {
        "env": {
            "default": {
                "db": "http://127.0.0.1:5984/testing8"
            },
            "dev": {
                "db": [ "http://127.0.0.1:5984/testing9",
    "http://127.0.0.1:5984/testing10" ]
            }
        }
    }
    
    default db is in env.default property,
    
    you could setup other environnement like dev. a db key could be a string
    oor a list. A list allow you to push on different db in one pass.
    
    So now push command is like this :
    
    in a couchapp folder :
    `couch push`will use default deb to send the data
    `couch push dbstring' will send to dbstring env or if no env with this
    name is found it will send to http://127.0.0.1:5984/dbstring
    `couch push appname dbstring`
    
    above acouchappfolder command is :
    
    ccouchapp push folder [appname] [dbstring]
    dbstring could be a full uri to the db or an environment key or just
    name of db (in this case it will send to
    http://127.0.0.1:5984/dbstring). If it's not provided it will try to
    send to default deb if it has been defined

commit a1417e1829d56ae3ab3201a33c9672cb73e1806f
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 00:38:48 2009 +0100

    fix, line have been rmoved while doing some changes.

commit 771e93821db358259ecd90544feae7931f364fdc
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 00:07:44 2009 +0100

    add git clone. For now until I find a way to initialize the folder
    securly content of an existing app isn't deleted.
    
    It works like it :
    
    git clone appuri [appdir]
    
    or appuri is uri of _design document, for example:
    
    couchapp clone http://localhost:5984/testing4/_design%2Ftest
    
    If a manifest has been created via push, It will use push to recreate
    all the app architecture on the disk. If not it will try to recreate it.
    
    Where the is a manigest, there isn't yet any detection of changes in the
    doc / manifest. This is on my list.

commit e2ff268bb9b7acf773e7911a6fd4b9010331d0be
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 20:57:50 2009 +0100

    fix md5 signatures & start clone feature. For now only view, show and
    attachments are cloned. Need to find a way to recreate the tree.

commit 159af7d6530a8c44d55cdbeb38acb004b6bd70ea
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 18:42:27 2009 +0100

    works with url encoded too... *sigh*

commit ccb4710ee4eca71f4ac98c3a597012bd88c296a5
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 18:37:48 2009 +0100

    better url parsing. If someone put url without encoding and "/" in db
    name, it now works. This is a little hack here only working for couchapp
    since we go until we get _design

commit d939bb4356825a146626afe5239cd3e80d290955
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 16:56:04 2009 +0100

    add configuration file management. Conf file is for now only in json and
    named 'rc.json' :
    
    {
        "default": {
            "server": "http://127.0.0.1:5984",
            "dbname": "testing4"
        }
    }
    
    So now when you generate an app a folder .couchapp is added to the app
    with an empty rc.json file.
    
    couchapp generate myapp
    
    You could also init a current folder, it create .couchapp folder:
    
    cd /tmp/myapp
    couchapp init
    
    push command have been changed to :
    
    couchapp push appdir [appname] dburi
    or
    
    couchapp push appdir appname dbname (in this case it use default server uri
    set in conf file or 127.0.0.1:5984)
    
    or
    
    couchapp push appdir (db and server uri are extracted from conf file,
    server uri could be also default to 127.0.0.1:5984à
    
    if you are in appdir:
    
    couchapp push is enough if you set conf file.

commit cb4206e6c917c94ffcd8d3c596e5493707d779ae
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 14:31:56 2009 +0100

    fix attachments sync

commit dd8613852d19bc7c757cd3c23bcc98183e609cc3
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 13:40:10 2009 +0100

    improve push. Now fields are reset and we send only attachments that
    changed.

commit 0370c938eabe63560e07736f77e5ff94448f7b06
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 13:14:55 2009 +0100

    so now you could use default server uri rather than using full uri like
    on ruby version :
    
    `couchapp push . mydb`

commit bf59db772553957053a6805d86d0d8a0fb8f1406
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 13:01:19 2009 +0100

    add versions needed for requirements

commit e221dc668d41182037f19ba8d62531ced7577176
Author: benoitc <benoitc@e-engura.org>
Date:   Tue Jan 20 00:07:44 2009 +0100

    add git clone. For now until I find a way to initialize the folder
    securly content of an existing app isn't deleted.
    
    It works like it :
    
    git clone appuri [appdir]
    
    or appuri is uri of _design document, for example:
    
    couchapp clone http://localhost:5984/testing4/_design%2Ftest
    
    If a manifest has been created via push, It will use push to recreate
    all the app architecture on the disk. If not it will try to recreate it.
    
    Where the is a manigest, there isn't yet any detection of changes in the
    doc / manifest. This is on my list.

commit b7a9f41d8a83be970128296259ed1c7061399796
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 20:57:50 2009 +0100

    fix md5 signatures & start clone feature. For now only view, show and
    attachments are cloned. Need to find a way to recreate the tree.

commit 2ec36dbc05c2a1c1ccc49bc53d6caa0eb765df9f
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 18:42:27 2009 +0100

    works with url encoded too... *sigh*

commit d8b57503b7e5823fbde86d1cc27d010b76347385
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 18:37:48 2009 +0100

    better url parsing. If someone put url without encoding and "/" in db
    name, it now works. This is a little hack here only working for couchapp
    since we go until we get _design

commit da059704709ca5ffd400943cbc3556ea41423e9c
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 16:56:04 2009 +0100

    add configuration file management. Conf file is for now only in json and
    named 'rc.json' :
    
    {
        "default": {
            "server": "http://127.0.0.1:5984",
            "dbname": "testing4"
        }
    }
    
    So now when you generate an app a folder .couchapp is added to the app
    with an empty rc.json file.
    
    couchapp generate myapp
    
    You could also init a current folder, it create .couchapp folder:
    
    cd /tmp/myapp
    couchapp init
    
    push command have been changed to :
    
    couchapp push appdir [appname] dburi
    or
    
    couchapp push appdir appname dbname (in this case it use default server uri
    set in conf file or 127.0.0.1:5984)
    
    or
    
    couchapp push appdir (db and server uri are extracted from conf file,
    server uri could be also default to 127.0.0.1:5984à
    
    if you are in appdir:
    
    couchapp push is enough if you set conf file.

commit 6cb57602b24b28cbcb849813b609be9af3c8f54b
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 14:31:56 2009 +0100

    fix attachments sync

commit b4d1fe6960a77552e9c2dcb62baccde8e67490cb
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 13:40:10 2009 +0100

    improve push. Now fields are reset and we send only attachments that
    changed.

commit e1c32be3d9f6f22bb9309a22fa491ce492cddf80
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 13:14:55 2009 +0100

    so now you could use default server uri rather than using full uri like
    on ruby version :
    
    `couchapp push . mydb`

commit 09b89be7916836cb277694f85d9fda179db3b789
Author: benoitc <benoitc@e-engura.org>
Date:   Mon Jan 19 13:01:19 2009 +0100

    add versions needed for requirements

commit 079a565312b980fce63f523889b7fe08c4cea15f
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 18 19:17:32 2009 -0800

    specs run against Python version using "rake python"

commit 7b2c3bde95b930095e627494feb80d7964f31284
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 18 18:51:22 2009 -0800

    update .gitignore for python build

commit 2eb840a53183fd4b7712ed1c03506e9a84614d22
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 18 18:50:46 2009 -0800

    added output to python push

commit 07e53ebf17a89248d72a0605adc4dee8cdee3723
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 18 18:50:21 2009 -0800

    app template comment

commit e03d7107d69309963aea34af2029c51da44f1d56
Merge: 241ca93 d71135d
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 18 17:54:08 2009 -0800

    Merge branch 'janl/master' into mergejan

commit d71135d7926464a989e53582eb41dc5811325c2c
Merge: 83df0e9 9ae6c43
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 18 17:45:50 2009 -0800

    Merge branch 'master' of git://github.com/janl/couchapp into janl/master

commit 241ca936abb788807acc99523da7d579c0093d7f
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 18 17:45:34 2009 -0800

    note on python usage

commit 9ae6c43c75837bd671a5cbad911bf6f79bb08a8c
Merge: ac8214a 4d5a7a4
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Sun Jan 18 14:44:26 2009 +0100

    Merge branch 'master' of git://github.com/benoitc/couchapp

commit 763c637c0d571b94948f25f538d9027feb091778
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Jan 17 19:05:59 2009 -0800

    installing notes cleanup

commit adf45267b765b63cbf90d60f7f7a06db47693bcc
Merge: fd4058c 83df0e9
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Jan 17 19:02:24 2009 -0800

    Merge branch 'janl/master'

commit 83df0e94a9c165f1edb8e79a023b060661ef5a82
Merge: 4312ca3 ac8214a
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Jan 17 19:01:48 2009 -0800

    Merge branch 'master' of git://github.com/janl/couchapp into janl/master

commit fd4058ca3e52036a0296f7d6bbf5ba52da62e64a
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Jan 17 19:01:24 2009 -0800

    license file name and couchapp url

commit c82309a5952a1538360e4a13eb110b84c8ba1072
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Jan 17 18:41:22 2009 -0800

    drop README for README.md

commit a2504492de02c7ff57b3327181a3f9a202266643
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 02:45:01 2009 +0100

    no need for that

commit 109cc35c2583fd6dd1a2d29c240e7704aee273ce
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 02:39:29 2009 +0100

    fix setup

commit 577f3a4a7bbe32bdf1ad09e665ac14bf359b77b2
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 01:56:19 2009 +0100

    more fixes. There are still problem while creating sdist file but
    setyp.py from souce work.

commit 2c1a06e232e1807871ac0a5e1358e4758487f768
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 01:19:01 2009 +0100

    New version of couchapp. More pythonic. This a copy-feature of ruby
    version.

commit 4d5a7a4b36cabaf6f3f31e337c589027656c133b
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 02:45:01 2009 +0100

    no need for that

commit 6cb4f93fc6eadeb979a813b6e5c313441b7adb7d
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 02:39:29 2009 +0100

    fix setup

commit 40d2800ec3da45ac6deb959bdaf35a1cf8ee51f4
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 01:56:19 2009 +0100

    more fixes. There are still problem while creating sdist file but
    setyp.py from souce work.

commit 75d93c253fafa8e949dbb0696bcebbf2083d7912
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Jan 17 16:29:58 2009 -0800

    faster specs

commit 63cf6f8ab2869413c9d80ffa1263b4c6b531c489
Author: Chris Anderson <jchris@grabb.it>
Date:   Sat Jan 17 16:24:52 2009 -0800

    faster specs

commit 544b424072855bfc4fb1d97fd1867d1040379a7c
Author: benoitc <benoitc@e-engura.org>
Date:   Sun Jan 18 01:19:01 2009 +0100

    New version of couchapp. More pythonic. This a copy-feature of ruby
    version.

commit ac8214adb49b96d3ec08b80e730b21128dd05262
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Sun Jan 18 00:55:33 2009 +0100

    add THANKS.txt and add Andy Wenk

commit e5a7796553901e2589c6941cab2ddc22a246265f
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 16 18:08:53 2009 -0800

    better document !code and !json

commit 4312ca369085766b3b0af34777bde468d15a12f5
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:24:19 2009 +0000

    fixed attachment signature creation

commit 0d32375d45efb3b28816dc77c9e5c1940a05f8db
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:18:06 2009 +0000

    fixed usage line

commit 6e7418a97f13d9122e5aef4c13ecbe456d3f23f5
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:15:29 2009 +0000

    fixed doc update

commit 924c3661833c58a4bdbc3ede6220889e96084335
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:09:26 2009 +0000

    added depth==0 and entry.startswith('_') check in dir recursion to play nice
    with couch's top level privates rule

commit 03d1cf47afd327fff865d35f8f7a867335d14c51
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:02:58 2009 +0000

    refactored couchapp.py from janl's original

commit be25b0469e5a079376ad726aed9b4582666d0bd7
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:24:19 2009 +0000

    fixed attachment signature creation

commit 6f552c985b4d215e7bbc56bbcc5cebae125fdfd9
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:18:06 2009 +0000

    fixed usage line

commit ebb7edf9ba4e758ba389168056dec24d81eeff67
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:15:29 2009 +0000

    fixed doc update

commit 549313cebe798ad4d1635e853c3a846035bfd486
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:09:26 2009 +0000

    added depth==0 and entry.startswith('_') check in dir recursion to play nice
    with couch's top level privates rule

commit fb4aa8cfd24b9ebbe25014ccf0cda0f469bbde3e
Author: Dean Landolt <dean@hardy2.(none)>
Date:   Fri Jan 16 19:02:58 2009 +0000

    refactored couchapp.py from janl's original

commit 69eb516fd28a9c115fb9934f3dab28f97ff86a16
Merge: 7612800 35d1672
Author: Chris Anderson <jchris@grabb.it>
Date:   Wed Jan 14 13:36:03 2009 -0800

    Merge branch 'janl/master'

commit 35d167248884f80f0b463a7d1d373dd18e0bc984
Merge: d731da1 5b16875
Author: Chris Anderson <jchris@grabb.it>
Date:   Wed Jan 14 12:00:27 2009 -0800

    Merge branch 'master' of git://github.com/janl/couchapp into janl/master

commit 5b1687592a5dc56a2e92658eccc0863b8e896237
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Wed Jan 14 18:34:55 2009 +0100

    add couchapp.py work in progress

commit 7612800afd94176adffa3e8ead5430126bbda064
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 15:58:34 2009 -0800

    make-gemspec.sh shell script to clean build products; new gemspec

commit 9e6aa8cc2b2effae6793255573183d3a8793b7c5
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 15:57:38 2009 -0800

    rev version with better gem builder

commit d731da12e6195e9593f77cd9838a828e3b1564d5
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Wed Jan 14 00:11:04 2009 +0100

    add -v and --version

commit d7dc945a15ef667b286e3034ef70a751e1d81ec6
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Tue Jan 13 12:49:47 2009 +0100

    bumped required couchrest version number to 0.12.1

commit 8efa8d00ffadabe675809279b1ab8f4d94ef6f0a
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 15:51:37 2009 -0800

    usage in readme

commit 21c47d35e10add0c35391c080fffb5df2422a76a
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Wed Jan 14 00:11:04 2009 +0100

    add -v and --version

commit 99d35d758772135aa22d7758474b77a521a6e461
Merge: 25cd001 813b37b
Author: Jan Lehnardt <jan@dahlia.local>
Date:   Tue Jan 13 23:58:51 2009 +0100

    Merge branch 'master' of git://github.com/jchris/couchapp

commit 813b37b91269e2c5f5d5ba71f94ba84caae8694b
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 14:53:57 2009 -0800

    gem install

commit 25cd001726ab46c4f3dc5b82759787b036fc757f
Author: Jan Lehnardt <jan@dahlia.(none)>
Date:   Tue Jan 13 12:49:47 2009 +0100

    bumped required couchrest version number to 0.12.1

commit 62211cf3461b071a96e11e30403251fbb2a12107
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 01:44:50 2009 -0800

    update gemspec

commit a7799ef863cd2a4720e50061d488d0971e7cebce
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 01:44:23 2009 -0800

    update gemspec

commit a5705b1009e1f80d78ac5f3eaaf775c394da3d0f
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 01:42:27 2009 -0800

    passing tests against new couch api

commit 1eb14d983ad370a8b9ffdc12006f07f901db225d
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 01:42:19 2009 -0800

    passing tests against new couch api

commit 0660cab5b922154becf122c9018c621b42ec6fdd
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 01:39:40 2009 -0800

    try to get working with new couch

commit f93ce218ecd9670ad3edc1e333c4c078f64c3dad
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 00:11:52 2009 -0800

    installing docs

commit ba7efff8ee5ca1186d2f131d4e8f262fdb9e508b
Author: Chris Anderson <jchris@grabb.it>
Date:   Tue Jan 13 00:11:07 2009 -0800

    installing docs

commit 2aeeb3f13d19cb35e7cb01f0248e9bbf67a0716d
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 11 00:51:46 2009 -0800

    test db name

commit 92b380bc09967b110f6b2663cb2c1359c28e8321
Author: Chris Anderson <jchris@grabb.it>
Date:   Sun Jan 11 00:50:08 2009 -0800

    deep attachments

commit e0858ab1279755ea99ec6f8681810b4bc9829177
Author: Chris Anderson <jchris@grabb.it>
Date:   Fri Jan 9 13:25:06 2009 -0800

    gemspec work

commit adac15357fe11465dc9952ccb33c0c25934bf11a
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:42:14 2009 -0800

    remove date from rake gemspec

commit a0e82e7f3057fa417f669706c05638877d79e6e0
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:39:04 2009 -0800

    less gemspec files

commit 1ad314ee12e6920157ea6434df74b6eeaf6803b1
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:35:20 2009 -0800

    hand edited gemspec

commit 9ce920e93dba8f949eb648790ff0f5c609c594c9
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:33:30 2009 -0800

    cleanups

commit 42a81164b38b5726bdaf34ffcc4e9b5c24b103c5
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:29:21 2009 -0800

    remove bad files from gemspec

commit 10f077531c4f490581f3d0a5917e10e869539756
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:24:12 2009 -0800

    remove bad files from gemspec

commit 249dab81be424a387b8045f01209756ae3cb33c2
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:18:58 2009 -0800

    add templates to gemspec

commit e1d7a060cca5f9476234c7ace9088917b72e51a0
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:11:53 2009 -0800

    rake runs fm specs

commit bf60a4a9e6df2b42de14f488251394f8209fa09b
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 23:02:04 2009 -0800

    not quite got the gem

commit d6f97c3ce734fb1d96361688aa05ba8db26228d7
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 22:59:14 2009 -0800

    rake spec even better

commit 7032d3729f442c01b56169398cbe9cf07370649d
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 22:57:19 2009 -0800

    added couchapp file

commit e53317f07006aad20b615edc5344c8eb67fc99d2
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 22:53:34 2009 -0800

    actually the license

commit a8f0ddcc7443ce40f0e9b2c35fa52890fd401691
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 22:50:59 2009 -0800

    rakefile, gemspec, license file

commit d719544bdecfc009f485e963da922d45892cc1ad
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 22:50:41 2009 -0800

    louder couchapp

commit fc1a97726950c8cc847bd7f1c0e13c05b3328aa5
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 17:27:58 2009 -0800

    better speccing

commit aa5dc587f312d9d76276e50fbfc8e21fe2593663
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 17:20:57 2009 -0800

    ruby specs passing

commit 14147f9f450e28bd6f435f49249b67a438495776
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 17:03:47 2009 -0800

    spec run, still failing from the extraction

commit 49e67c7ae5bc5d1970192458e4d30b61161afa13
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 16:48:29 2009 -0800

    import ruby couchapp from couchrest

commit 32ecbbc42edb62cd61e43cf4f5e03d0d8b6fbae4
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 15:38:21 2009 -0800

    markdown cleanup, more links

commit d9c5bb1b76172a025021e433a2bce07e5671a653
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 15:35:54 2009 -0800

    markdown cleanup, more links

commit d4eb368e964a54b758f239dd2606744ceb0cba5d
Author: Chris Anderson <jchris@grabb.it>
Date:   Thu Jan 8 15:16:31 2009 -0800

    first commit
